export declare enum JwaSignatureAlgorithm {
    HS256 = "HS256",
    HS384 = "HS384",
    HS512 = "HS512",
    RS256 = "RS256",
    RS384 = "RS384",
    RS512 = "RS512",
    ES256 = "ES256",
    ES384 = "ES384",
    ES512 = "ES512",
    PS256 = "PS256",
    PS384 = "PS384",
    PS512 = "PS512",
    EdDSA = "EdDSA",
    ES256K = "ES256K",
    None = "none"
}
export declare enum JwaEncryptionAlgorithm {
    RSA15 = "RSA1_5",
    RSAOAEP = "RSA-OAEP",
    RSAOAEP256 = "RSA-OAEP-256",
    A128KW = "A128KW",
    A192KW = "A192KW",
    A256KW = "A256KW",
    Dir = "dir",
    ECDHES = "ECDH-ES",
    ECDHESA128KW = "ECDH-ES+A128KW",
    ECDHESA192KW = "ECDH-ES+A192KW",
    ECDHESA256KW = "ECDH-ES+A256KW",
    A128GCMKW = "A128GCMKW",
    A192GCMKW = "A192GCMKW",
    A256GCMKW = "A256GCMKW",
    PBES2HS256A128KW = "PBES2-HS256+A128KW",
    PBES2HS384A192KW = "PBES2-HS384+A192KW",
    PBES2HS512A256KW = "PBES2-HS512+A256KW"
}
export type JwaAlgorithm = JwaSignatureAlgorithm | JwaEncryptionAlgorithm;
