/**
 * Issue Credential states as defined in RFC 0036 and RFC 0453
 *
 * @see https://github.com/hyperledger/aries-rfcs/blob/master/features/0036-issue-credential/README.md#states
 */
export declare enum CredentialState {
    ProposalSent = "proposal-sent",
    ProposalReceived = "proposal-received",
    OfferSent = "offer-sent",
    OfferReceived = "offer-received",
    Declined = "declined",
    RequestSent = "request-sent",
    RequestReceived = "request-received",
    CredentialIssued = "credential-issued",
    CredentialReceived = "credential-received",
    Done = "done",
    Abandoned = "abandoned"
}
