"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DATA_INTEGRITY_V2 = void 0;
exports.DATA_INTEGRITY_V2 = {
    '@context': {
        id: '@id',
        type: '@type',
        '@protected': true,
        proof: {
            '@id': 'https://w3id.org/security#proof',
            '@type': '@id',
            '@container': '@graph',
        },
        DataIntegrityProof: {
            '@id': 'https://w3id.org/security#DataIntegrityProof',
            '@context': {
                '@protected': true,
                id: '@id',
                type: '@type',
                challenge: 'https://w3id.org/security#challenge',
                created: {
                    '@id': 'http://purl.org/dc/terms/created',
                    '@type': 'http://www.w3.org/2001/XMLSchema#dateTime',
                },
                domain: 'https://w3id.org/security#domain',
                expires: {
                    '@id': 'https://w3id.org/security#expiration',
                    '@type': 'http://www.w3.org/2001/XMLSchema#dateTime',
                },
                nonce: 'https://w3id.org/security#nonce',
                previousProof: {
                    '@id': 'https://w3id.org/security#previousProof',
                    '@type': '@id',
                },
                proofPurpose: {
                    '@id': 'https://w3id.org/security#proofPurpose',
                    '@type': '@vocab',
                    '@context': {
                        '@protected': true,
                        id: '@id',
                        type: '@type',
                        assertionMethod: {
                            '@id': 'https://w3id.org/security#assertionMethod',
                            '@type': '@id',
                            '@container': '@set',
                        },
                        authentication: {
                            '@id': 'https://w3id.org/security#authenticationMethod',
                            '@type': '@id',
                            '@container': '@set',
                        },
                        capabilityInvocation: {
                            '@id': 'https://w3id.org/security#capabilityInvocationMethod',
                            '@type': '@id',
                            '@container': '@set',
                        },
                        capabilityDelegation: {
                            '@id': 'https://w3id.org/security#capabilityDelegationMethod',
                            '@type': '@id',
                            '@container': '@set',
                        },
                        keyAgreement: {
                            '@id': 'https://w3id.org/security#keyAgreementMethod',
                            '@type': '@id',
                            '@container': '@set',
                        },
                    },
                },
                cryptosuite: {
                    '@id': 'https://w3id.org/security#cryptosuite',
                    '@type': 'https://w3id.org/security#cryptosuiteString',
                },
                proofValue: {
                    '@id': 'https://w3id.org/security#proofValue',
                    '@type': 'https://w3id.org/security#multibase',
                },
                verificationMethod: {
                    '@id': 'https://w3id.org/security#verificationMethod',
                    '@type': '@id',
                },
            },
        },
    },
};
//# sourceMappingURL=dataIntegrity_v2.js.map