export declare const DEFAULT_CONTEXTS: {
    'https://w3id.org/security/suites/bls12381-2020/v1': {
        '@context': {
            '@version': number;
            id: string;
            type: string;
            BbsBlsSignature2020: {
                '@id': string;
                '@context': {
                    '@version': number;
                    '@protected': boolean;
                    id: string;
                    type: string;
                    challenge: string;
                    created: {
                        '@id': string;
                        '@type': string;
                    };
                    domain: string;
                    proofValue: string;
                    nonce: string;
                    proofPurpose: {
                        '@id': string;
                        '@type': string;
                        '@context': {
                            '@version': number;
                            '@protected': boolean;
                            id: string;
                            type: string;
                            assertionMethod: {
                                '@id': string;
                                '@type': string;
                                '@container': string;
                            };
                            authentication: {
                                '@id': string;
                                '@type': string;
                                '@container': string;
                            };
                        };
                    };
                    verificationMethod: {
                        '@id': string;
                        '@type': string;
                    };
                };
            };
            BbsBlsSignatureProof2020: {
                '@id': string;
                '@context': {
                    '@version': number;
                    '@protected': boolean;
                    id: string;
                    type: string;
                    challenge: string;
                    created: {
                        '@id': string;
                        '@type': string;
                    };
                    domain: string;
                    nonce: string;
                    proofPurpose: {
                        '@id': string;
                        '@type': string;
                        '@context': {
                            '@version': number;
                            '@protected': boolean;
                            id: string;
                            type: string;
                            sec: string;
                            assertionMethod: {
                                '@id': string;
                                '@type': string;
                                '@container': string;
                            };
                            authentication: {
                                '@id': string;
                                '@type': string;
                                '@container': string;
                            };
                        };
                    };
                    proofValue: string;
                    verificationMethod: {
                        '@id': string;
                        '@type': string;
                    };
                };
            };
            Bls12381G1Key2020: {
                '@id': string;
                '@context': {
                    '@protected': boolean;
                    id: string;
                    type: string;
                    controller: {
                        '@id': string;
                        '@type': string;
                    };
                    revoked: {
                        '@id': string;
                        '@type': string;
                    };
                    publicKeyBase58: {
                        '@id': string;
                    };
                };
            };
            Bls12381G2Key2020: {
                '@id': string;
                '@context': {
                    '@protected': boolean;
                    id: string;
                    type: string;
                    controller: {
                        '@id': string;
                        '@type': string;
                    };
                    revoked: {
                        '@id': string;
                        '@type': string;
                    };
                    publicKeyBase58: {
                        '@id': string;
                    };
                };
            };
        };
    };
    'https://w3id.org/security/bbs/v1': {
        '@context': {
            '@version': number;
            id: string;
            type: string;
            BbsBlsSignature2020: {
                '@id': string;
                '@context': {
                    '@version': number;
                    '@protected': boolean;
                    id: string;
                    type: string;
                    challenge: string;
                    created: {
                        '@id': string;
                        '@type': string;
                    };
                    domain: string;
                    proofValue: string;
                    nonce: string;
                    proofPurpose: {
                        '@id': string;
                        '@type': string;
                        '@context': {
                            '@version': number;
                            '@protected': boolean;
                            id: string;
                            type: string;
                            assertionMethod: {
                                '@id': string;
                                '@type': string;
                                '@container': string;
                            };
                            authentication: {
                                '@id': string;
                                '@type': string;
                                '@container': string;
                            };
                        };
                    };
                    verificationMethod: {
                        '@id': string;
                        '@type': string;
                    };
                };
            };
            BbsBlsSignatureProof2020: {
                '@id': string;
                '@context': {
                    '@version': number;
                    '@protected': boolean;
                    id: string;
                    type: string;
                    challenge: string;
                    created: {
                        '@id': string;
                        '@type': string;
                    };
                    domain: string;
                    nonce: string;
                    proofPurpose: {
                        '@id': string;
                        '@type': string;
                        '@context': {
                            '@version': number;
                            '@protected': boolean;
                            id: string;
                            type: string;
                            sec: string;
                            assertionMethod: {
                                '@id': string;
                                '@type': string;
                                '@container': string;
                            };
                            authentication: {
                                '@id': string;
                                '@type': string;
                                '@container': string;
                            };
                        };
                    };
                    proofValue: string;
                    verificationMethod: {
                        '@id': string;
                        '@type': string;
                    };
                };
            };
            Bls12381G1Key2020: {
                '@id': string;
                '@context': {
                    '@protected': boolean;
                    id: string;
                    type: string;
                    controller: {
                        '@id': string;
                        '@type': string;
                    };
                    revoked: {
                        '@id': string;
                        '@type': string;
                    };
                    publicKeyBase58: {
                        '@id': string;
                    };
                };
            };
            Bls12381G2Key2020: {
                '@id': string;
                '@context': {
                    '@protected': boolean;
                    id: string;
                    type: string;
                    controller: {
                        '@id': string;
                        '@type': string;
                    };
                    revoked: {
                        '@id': string;
                        '@type': string;
                    };
                    publicKeyBase58: {
                        '@id': string;
                    };
                };
            };
        };
    };
    'https://w3id.org/security/v1': {
        '@context': {
            id: string;
            type: string;
            dc: string;
            sec: string;
            xsd: string;
            EcdsaKoblitzSignature2016: string;
            Ed25519Signature2018: string;
            EncryptedMessage: string;
            GraphSignature2012: string;
            LinkedDataSignature2015: string;
            LinkedDataSignature2016: string;
            CryptographicKey: string;
            authenticationTag: string;
            canonicalizationAlgorithm: string;
            cipherAlgorithm: string;
            cipherData: string;
            cipherKey: string;
            created: {
                '@id': string;
                '@type': string;
            };
            creator: {
                '@id': string;
                '@type': string;
            };
            digestAlgorithm: string;
            digestValue: string;
            domain: string;
            encryptionKey: string;
            expiration: {
                '@id': string;
                '@type': string;
            };
            expires: {
                '@id': string;
                '@type': string;
            };
            initializationVector: string;
            iterationCount: string;
            nonce: string;
            normalizationAlgorithm: string;
            owner: {
                '@id': string;
                '@type': string;
            };
            password: string;
            privateKey: {
                '@id': string;
                '@type': string;
            };
            privateKeyPem: string;
            publicKey: {
                '@id': string;
                '@type': string;
            };
            publicKeyBase58: string;
            publicKeyPem: string;
            publicKeyWif: string;
            publicKeyService: {
                '@id': string;
                '@type': string;
            };
            revoked: {
                '@id': string;
                '@type': string;
            };
            salt: string;
            signature: string;
            signatureAlgorithm: string;
            signatureValue: string;
        };
    };
    'https://w3id.org/security/v2': {
        '@context': (string | {
            '@version': number;
            AesKeyWrappingKey2019?: undefined;
            DeleteKeyOperation?: undefined;
            DeriveSecretOperation?: undefined;
            EcdsaSecp256k1Signature2019?: undefined;
            EcdsaSecp256r1Signature2019?: undefined;
            EcdsaSecp256k1VerificationKey2019?: undefined;
            EcdsaSecp256r1VerificationKey2019?: undefined;
            Ed25519Signature2018?: undefined;
            Ed25519VerificationKey2018?: undefined;
            EquihashProof2018?: undefined;
            ExportKeyOperation?: undefined;
            GenerateKeyOperation?: undefined;
            KmsOperation?: undefined;
            RevokeKeyOperation?: undefined;
            RsaSignature2018?: undefined;
            RsaVerificationKey2018?: undefined;
            Sha256HmacKey2019?: undefined;
            SignOperation?: undefined;
            UnwrapKeyOperation?: undefined;
            VerifyOperation?: undefined;
            WrapKeyOperation?: undefined;
            X25519KeyAgreementKey2019?: undefined;
            allowedAction?: undefined;
            assertionMethod?: undefined;
            authentication?: undefined;
            capability?: undefined;
            capabilityAction?: undefined;
            capabilityChain?: undefined;
            capabilityDelegation?: undefined;
            capabilityInvocation?: undefined;
            caveat?: undefined;
            challenge?: undefined;
            ciphertext?: undefined;
            controller?: undefined;
            delegator?: undefined;
            equihashParameterK?: undefined;
            equihashParameterN?: undefined;
            invocationTarget?: undefined;
            invoker?: undefined;
            jws?: undefined;
            keyAgreement?: undefined;
            kmsModule?: undefined;
            parentCapability?: undefined;
            plaintext?: undefined;
            proof?: undefined;
            proofPurpose?: undefined;
            proofValue?: undefined;
            referenceId?: undefined;
            unwrappedKey?: undefined;
            verificationMethod?: undefined;
            verifyData?: undefined;
            wrappedKey?: undefined;
        } | {
            AesKeyWrappingKey2019: string;
            DeleteKeyOperation: string;
            DeriveSecretOperation: string;
            EcdsaSecp256k1Signature2019: string;
            EcdsaSecp256r1Signature2019: string;
            EcdsaSecp256k1VerificationKey2019: string;
            EcdsaSecp256r1VerificationKey2019: string;
            Ed25519Signature2018: string;
            Ed25519VerificationKey2018: string;
            EquihashProof2018: string;
            ExportKeyOperation: string;
            GenerateKeyOperation: string;
            KmsOperation: string;
            RevokeKeyOperation: string;
            RsaSignature2018: string;
            RsaVerificationKey2018: string;
            Sha256HmacKey2019: string;
            SignOperation: string;
            UnwrapKeyOperation: string;
            VerifyOperation: string;
            WrapKeyOperation: string;
            X25519KeyAgreementKey2019: string;
            allowedAction: string;
            assertionMethod: {
                '@id': string;
                '@type': string;
                '@container': string;
            };
            authentication: {
                '@id': string;
                '@type': string;
                '@container': string;
            };
            capability: {
                '@id': string;
                '@type': string;
            };
            capabilityAction: string;
            capabilityChain: {
                '@id': string;
                '@type': string;
                '@container': string;
            };
            capabilityDelegation: {
                '@id': string;
                '@type': string;
                '@container': string;
            };
            capabilityInvocation: {
                '@id': string;
                '@type': string;
                '@container': string;
            };
            caveat: {
                '@id': string;
                '@type': string;
                '@container': string;
            };
            challenge: string;
            ciphertext: string;
            controller: {
                '@id': string;
                '@type': string;
            };
            delegator: {
                '@id': string;
                '@type': string;
            };
            equihashParameterK: {
                '@id': string;
                '@type': string;
            };
            equihashParameterN: {
                '@id': string;
                '@type': string;
            };
            invocationTarget: {
                '@id': string;
                '@type': string;
            };
            invoker: {
                '@id': string;
                '@type': string;
            };
            jws: string;
            keyAgreement: {
                '@id': string;
                '@type': string;
                '@container': string;
            };
            kmsModule: {
                '@id': string;
            };
            parentCapability: {
                '@id': string;
                '@type': string;
            };
            plaintext: string;
            proof: {
                '@id': string;
                '@type': string;
                '@container': string;
            };
            proofPurpose: {
                '@id': string;
                '@type': string;
            };
            proofValue: string;
            referenceId: string;
            unwrappedKey: string;
            verificationMethod: {
                '@id': string;
                '@type': string;
            };
            verifyData: string;
            wrappedKey: string;
            '@version'?: undefined;
        })[];
    };
    'https://w3id.org/security/suites/x25519-2019/v1': {
        '@context': {
            id: string;
            type: string;
            '@protected': boolean;
            X25519KeyAgreementKey2019: {
                '@id': string;
                '@context': {
                    '@protected': boolean;
                    id: string;
                    type: string;
                    controller: {
                        '@id': string;
                        '@type': string;
                    };
                    revoked: {
                        '@id': string;
                        '@type': string;
                    };
                    publicKeyBase58: {
                        '@id': string;
                    };
                };
            };
        };
    };
    'https://w3id.org/security/suites/ed25519-2018/v1': {
        '@context': {
            id: string;
            type: string;
            '@protected': boolean;
            proof: {
                '@id': string;
                '@type': string;
                '@container': string;
            };
            Ed25519VerificationKey2018: {
                '@id': string;
                '@context': {
                    '@protected': boolean;
                    id: string;
                    type: string;
                    controller: {
                        '@id': string;
                        '@type': string;
                    };
                    revoked: {
                        '@id': string;
                        '@type': string;
                    };
                    publicKeyBase58: {
                        '@id': string;
                    };
                };
            };
            Ed25519Signature2018: {
                '@id': string;
                '@context': {
                    '@protected': boolean;
                    id: string;
                    type: string;
                    challenge: string;
                    created: {
                        '@id': string;
                        '@type': string;
                    };
                    domain: string;
                    expires: {
                        '@id': string;
                        '@type': string;
                    };
                    nonce: string;
                    proofPurpose: {
                        '@id': string;
                        '@type': string;
                        '@context': {
                            '@protected': boolean;
                            id: string;
                            type: string;
                            assertionMethod: {
                                '@id': string;
                                '@type': string;
                                '@container': string;
                            };
                            authentication: {
                                '@id': string;
                                '@type': string;
                                '@container': string;
                            };
                            capabilityInvocation: {
                                '@id': string;
                                '@type': string;
                                '@container': string;
                            };
                            capabilityDelegation: {
                                '@id': string;
                                '@type': string;
                                '@container': string;
                            };
                            keyAgreement: {
                                '@id': string;
                                '@type': string;
                                '@container': string;
                            };
                        };
                    };
                    jws: {
                        '@id': string;
                    };
                    verificationMethod: {
                        '@id': string;
                        '@type': string;
                    };
                };
            };
        };
    };
    'https://w3id.org/security/suites/secp256k1-2019/v1': {
        '@context': {
            id: string;
            type: string;
            '@protected': boolean;
            proof: {
                '@id': string;
                '@type': string;
                '@container': string;
            };
            EcdsaSecp256k1VerificationKey2019: {
                '@id': string;
                '@context': {
                    '@protected': boolean;
                    id: string;
                    type: string;
                    controller: {
                        '@id': string;
                        '@type': string;
                    };
                    revoked: {
                        '@id': string;
                        '@type': string;
                    };
                    blockchainAccountId: {
                        '@id': string;
                    };
                    publicKeyJwk: {
                        '@id': string;
                        '@type': string;
                    };
                    publicKeyBase58: {
                        '@id': string;
                    };
                    publicKeyMultibase: {
                        '@id': string;
                        '@type': string;
                    };
                };
            };
            EcdsaSecp256k1Signature2019: {
                '@id': string;
                '@context': {
                    '@protected': boolean;
                    id: string;
                    type: string;
                    challenge: string;
                    created: {
                        '@id': string;
                        '@type': string;
                    };
                    domain: string;
                    expires: {
                        '@id': string;
                        '@type': string;
                    };
                    nonce: string;
                    proofPurpose: {
                        '@id': string;
                        '@type': string;
                        '@context': {
                            '@protected': boolean;
                            id: string;
                            type: string;
                            assertionMethod: {
                                '@id': string;
                                '@type': string;
                                '@container': string;
                            };
                            authentication: {
                                '@id': string;
                                '@type': string;
                                '@container': string;
                            };
                            capabilityInvocation: {
                                '@id': string;
                                '@type': string;
                                '@container': string;
                            };
                            capabilityDelegation: {
                                '@id': string;
                                '@type': string;
                                '@container': string;
                            };
                            keyAgreement: {
                                '@id': string;
                                '@type': string;
                                '@container': string;
                            };
                        };
                    };
                    jws: {
                        '@id': string;
                    };
                    verificationMethod: {
                        '@id': string;
                        '@type': string;
                    };
                };
            };
        };
    };
    'https://www.w3.org/2018/credentials/v1': {
        '@context': {
            '@version': number;
            '@protected': boolean;
            id: string;
            type: string;
            VerifiableCredential: {
                '@id': string;
                '@context': {
                    '@version': number;
                    '@protected': boolean;
                    id: string;
                    type: string;
                    cred: string;
                    sec: string;
                    xsd: string;
                    credentialSchema: {
                        '@id': string;
                        '@type': string;
                        '@context': {
                            '@version': number;
                            '@protected': boolean;
                            id: string;
                            type: string;
                            cred: string;
                            JsonSchemaValidator2018: string;
                        };
                    };
                    credentialStatus: {
                        '@id': string;
                        '@type': string;
                    };
                    credentialSubject: {
                        '@id': string;
                        '@type': string;
                    };
                    evidence: {
                        '@id': string;
                        '@type': string;
                    };
                    expirationDate: {
                        '@id': string;
                        '@type': string;
                    };
                    holder: {
                        '@id': string;
                        '@type': string;
                    };
                    issued: {
                        '@id': string;
                        '@type': string;
                    };
                    issuer: {
                        '@id': string;
                        '@type': string;
                    };
                    issuanceDate: {
                        '@id': string;
                        '@type': string;
                    };
                    proof: {
                        '@id': string;
                        '@type': string;
                        '@container': string;
                    };
                    refreshService: {
                        '@id': string;
                        '@type': string;
                        '@context': {
                            '@version': number;
                            '@protected': boolean;
                            id: string;
                            type: string;
                            cred: string;
                            ManualRefreshService2018: string;
                        };
                    };
                    termsOfUse: {
                        '@id': string;
                        '@type': string;
                    };
                    validFrom: {
                        '@id': string;
                        '@type': string;
                    };
                    validUntil: {
                        '@id': string;
                        '@type': string;
                    };
                };
            };
            VerifiablePresentation: {
                '@id': string;
                '@context': {
                    '@version': number;
                    '@protected': boolean;
                    id: string;
                    type: string;
                    cred: string;
                    sec: string;
                    holder: {
                        '@id': string;
                        '@type': string;
                    };
                    proof: {
                        '@id': string;
                        '@type': string;
                        '@container': string;
                    };
                    verifiableCredential: {
                        '@id': string;
                        '@type': string;
                        '@container': string;
                    };
                };
            };
            EcdsaSecp256k1Signature2019: {
                '@id': string;
                '@context': {
                    '@version': number;
                    '@protected': boolean;
                    id: string;
                    type: string;
                    sec: string;
                    xsd: string;
                    challenge: string;
                    created: {
                        '@id': string;
                        '@type': string;
                    };
                    domain: string;
                    expires: {
                        '@id': string;
                        '@type': string;
                    };
                    jws: string;
                    nonce: string;
                    proofPurpose: {
                        '@id': string;
                        '@type': string;
                        '@context': {
                            '@version': number;
                            '@protected': boolean;
                            id: string;
                            type: string;
                            sec: string;
                            assertionMethod: {
                                '@id': string;
                                '@type': string;
                                '@container': string;
                            };
                            authentication: {
                                '@id': string;
                                '@type': string;
                                '@container': string;
                            };
                        };
                    };
                    proofValue: string;
                    verificationMethod: {
                        '@id': string;
                        '@type': string;
                    };
                };
            };
            EcdsaSecp256r1Signature2019: {
                '@id': string;
                '@context': {
                    '@version': number;
                    '@protected': boolean;
                    id: string;
                    type: string;
                    sec: string;
                    xsd: string;
                    challenge: string;
                    created: {
                        '@id': string;
                        '@type': string;
                    };
                    domain: string;
                    expires: {
                        '@id': string;
                        '@type': string;
                    };
                    jws: string;
                    nonce: string;
                    proofPurpose: {
                        '@id': string;
                        '@type': string;
                        '@context': {
                            '@version': number;
                            '@protected': boolean;
                            id: string;
                            type: string;
                            sec: string;
                            assertionMethod: {
                                '@id': string;
                                '@type': string;
                                '@container': string;
                            };
                            authentication: {
                                '@id': string;
                                '@type': string;
                                '@container': string;
                            };
                        };
                    };
                    proofValue: string;
                    verificationMethod: {
                        '@id': string;
                        '@type': string;
                    };
                };
            };
            Ed25519Signature2018: {
                '@id': string;
                '@context': {
                    '@version': number;
                    '@protected': boolean;
                    id: string;
                    type: string;
                    sec: string;
                    xsd: string;
                    challenge: string;
                    created: {
                        '@id': string;
                        '@type': string;
                    };
                    domain: string;
                    expires: {
                        '@id': string;
                        '@type': string;
                    };
                    jws: string;
                    nonce: string;
                    proofPurpose: {
                        '@id': string;
                        '@type': string;
                        '@context': {
                            '@version': number;
                            '@protected': boolean;
                            id: string;
                            type: string;
                            sec: string;
                            assertionMethod: {
                                '@id': string;
                                '@type': string;
                                '@container': string;
                            };
                            authentication: {
                                '@id': string;
                                '@type': string;
                                '@container': string;
                            };
                        };
                    };
                    proofValue: string;
                    verificationMethod: {
                        '@id': string;
                        '@type': string;
                    };
                };
            };
            RsaSignature2018: {
                '@id': string;
                '@context': {
                    '@version': number;
                    '@protected': boolean;
                    challenge: string;
                    created: {
                        '@id': string;
                        '@type': string;
                    };
                    domain: string;
                    expires: {
                        '@id': string;
                        '@type': string;
                    };
                    jws: string;
                    nonce: string;
                    proofPurpose: {
                        '@id': string;
                        '@type': string;
                        '@context': {
                            '@version': number;
                            '@protected': boolean;
                            id: string;
                            type: string;
                            sec: string;
                            assertionMethod: {
                                '@id': string;
                                '@type': string;
                                '@container': string;
                            };
                            authentication: {
                                '@id': string;
                                '@type': string;
                                '@container': string;
                            };
                        };
                    };
                    proofValue: string;
                    verificationMethod: {
                        '@id': string;
                        '@type': string;
                    };
                };
            };
            proof: {
                '@id': string;
                '@type': string;
                '@container': string;
            };
        };
    };
    'https://w3id.org/did/v1': {
        '@context': {
            '@protected': boolean;
            id: string;
            type: string;
            alsoKnownAs: {
                '@id': string;
                '@type': string;
            };
            assertionMethod: {
                '@id': string;
                '@type': string;
                '@container': string;
            };
            authentication: {
                '@id': string;
                '@type': string;
                '@container': string;
            };
            capabilityDelegation: {
                '@id': string;
                '@type': string;
                '@container': string;
            };
            capabilityInvocation: {
                '@id': string;
                '@type': string;
                '@container': string;
            };
            controller: {
                '@id': string;
                '@type': string;
            };
            keyAgreement: {
                '@id': string;
                '@type': string;
                '@container': string;
            };
            service: {
                '@id': string;
                '@type': string;
                '@context': {
                    '@protected': boolean;
                    id: string;
                    type: string;
                    serviceEndpoint: {
                        '@id': string;
                        '@type': string;
                    };
                };
            };
            verificationMethod: {
                '@id': string;
            };
        };
    };
    'https://www.w3.org/ns/did/v1': {
        '@context': {
            '@protected': boolean;
            id: string;
            type: string;
            alsoKnownAs: {
                '@id': string;
                '@type': string;
            };
            assertionMethod: {
                '@id': string;
                '@type': string;
                '@container': string;
            };
            authentication: {
                '@id': string;
                '@type': string;
                '@container': string;
            };
            capabilityDelegation: {
                '@id': string;
                '@type': string;
                '@container': string;
            };
            capabilityInvocation: {
                '@id': string;
                '@type': string;
                '@container': string;
            };
            controller: {
                '@id': string;
                '@type': string;
            };
            keyAgreement: {
                '@id': string;
                '@type': string;
                '@container': string;
            };
            service: {
                '@id': string;
                '@type': string;
                '@context': {
                    '@protected': boolean;
                    id: string;
                    type: string;
                    serviceEndpoint: {
                        '@id': string;
                        '@type': string;
                    };
                };
            };
            verificationMethod: {
                '@id': string;
            };
        };
    };
    'https://w3.org/ns/did/v1': {
        '@context': {
            '@protected': boolean;
            id: string;
            type: string;
            alsoKnownAs: {
                '@id': string;
                '@type': string;
            };
            assertionMethod: {
                '@id': string;
                '@type': string;
                '@container': string;
            };
            authentication: {
                '@id': string;
                '@type': string;
                '@container': string;
            };
            capabilityDelegation: {
                '@id': string;
                '@type': string;
                '@container': string;
            };
            capabilityInvocation: {
                '@id': string;
                '@type': string;
                '@container': string;
            };
            controller: {
                '@id': string;
                '@type': string;
            };
            keyAgreement: {
                '@id': string;
                '@type': string;
                '@container': string;
            };
            service: {
                '@id': string;
                '@type': string;
                '@context': {
                    '@protected': boolean;
                    id: string;
                    type: string;
                    serviceEndpoint: {
                        '@id': string;
                        '@type': string;
                    };
                };
            };
            verificationMethod: {
                '@id': string;
            };
        };
    };
    'https://www.w3.org/ns/odrl.jsonld': {
        '@context': {
            odrl: string;
            rdf: string;
            rdfs: string;
            owl: string;
            skos: string;
            dct: string;
            xsd: string;
            vcard: string;
            foaf: string;
            schema: string;
            cc: string;
            uid: string;
            type: string;
            Policy: string;
            Rule: string;
            profile: {
                '@type': string;
                '@id': string;
            };
            inheritFrom: {
                '@type': string;
                '@id': string;
            };
            ConflictTerm: string;
            conflict: {
                '@type': string;
                '@id': string;
            };
            perm: string;
            prohibit: string;
            invalid: string;
            Agreement: string;
            Assertion: string;
            Offer: string;
            Privacy: string;
            Request: string;
            Set: string;
            Ticket: string;
            Asset: string;
            AssetCollection: string;
            relation: {
                '@type': string;
                '@id': string;
            };
            hasPolicy: {
                '@type': string;
                '@id': string;
            };
            target: {
                '@type': string;
                '@id': string;
            };
            output: {
                '@type': string;
                '@id': string;
            };
            partOf: {
                '@type': string;
                '@id': string;
            };
            source: {
                '@type': string;
                '@id': string;
            };
            Party: string;
            PartyCollection: string;
            function: {
                '@type': string;
                '@id': string;
            };
            PartyScope: string;
            assignee: {
                '@type': string;
                '@id': string;
            };
            assigner: {
                '@type': string;
                '@id': string;
            };
            assigneeOf: {
                '@type': string;
                '@id': string;
            };
            assignerOf: {
                '@type': string;
                '@id': string;
            };
            attributedParty: {
                '@type': string;
                '@id': string;
            };
            attributingParty: {
                '@type': string;
                '@id': string;
            };
            compensatedParty: {
                '@type': string;
                '@id': string;
            };
            compensatingParty: {
                '@type': string;
                '@id': string;
            };
            consentingParty: {
                '@type': string;
                '@id': string;
            };
            consentedParty: {
                '@type': string;
                '@id': string;
            };
            informedParty: {
                '@type': string;
                '@id': string;
            };
            informingParty: {
                '@type': string;
                '@id': string;
            };
            trackingParty: {
                '@type': string;
                '@id': string;
            };
            trackedParty: {
                '@type': string;
                '@id': string;
            };
            contractingParty: {
                '@type': string;
                '@id': string;
            };
            contractedParty: {
                '@type': string;
                '@id': string;
            };
            Action: string;
            action: {
                '@type': string;
                '@id': string;
            };
            includedIn: {
                '@type': string;
                '@id': string;
            };
            implies: {
                '@type': string;
                '@id': string;
            };
            Permission: string;
            permission: {
                '@type': string;
                '@id': string;
            };
            Prohibition: string;
            prohibition: {
                '@type': string;
                '@id': string;
            };
            obligation: {
                '@type': string;
                '@id': string;
            };
            use: string;
            grantUse: string;
            aggregate: string;
            annotate: string;
            anonymize: string;
            archive: string;
            concurrentUse: string;
            derive: string;
            digitize: string;
            display: string;
            distribute: string;
            execute: string;
            extract: string;
            give: string;
            index: string;
            install: string;
            modify: string;
            move: string;
            play: string;
            present: string;
            print: string;
            read: string;
            reproduce: string;
            sell: string;
            stream: string;
            textToSpeech: string;
            transfer: string;
            transform: string;
            translate: string;
            Duty: string;
            duty: {
                '@type': string;
                '@id': string;
            };
            consequence: {
                '@type': string;
                '@id': string;
            };
            remedy: {
                '@type': string;
                '@id': string;
            };
            acceptTracking: string;
            attribute: string;
            compensate: string;
            delete: string;
            ensureExclusivity: string;
            include: string;
            inform: string;
            nextPolicy: string;
            obtainConsent: string;
            reviewPolicy: string;
            uninstall: string;
            watermark: string;
            Constraint: string;
            LogicalConstraint: string;
            constraint: {
                '@type': string;
                '@id': string;
            };
            refinement: {
                '@type': string;
                '@id': string;
            };
            Operator: string;
            operator: {
                '@type': string;
                '@id': string;
            };
            RightOperand: string;
            rightOperand: string;
            rightOperandReference: {
                '@type': string;
                '@id': string;
            };
            LeftOperand: string;
            leftOperand: {
                '@type': string;
                '@id': string;
            };
            unit: string;
            dataType: {
                '@type': string;
                '@id': string;
            };
            status: string;
            absolutePosition: string;
            absoluteSpatialPosition: string;
            absoluteTemporalPosition: string;
            absoluteSize: string;
            count: string;
            dateTime: string;
            delayPeriod: string;
            deliveryChannel: string;
            elapsedTime: string;
            event: string;
            fileFormat: string;
            industry: string;
            language: string;
            media: string;
            meteredTime: string;
            payAmount: string;
            percentage: string;
            product: string;
            purpose: string;
            recipient: string;
            relativePosition: string;
            relativeSpatialPosition: string;
            relativeTemporalPosition: string;
            relativeSize: string;
            resolution: string;
            spatial: string;
            spatialCoordinates: string;
            systemDevice: string;
            timeInterval: string;
            unitOfCount: string;
            version: string;
            virtualLocation: string;
            eq: string;
            gt: string;
            gteq: string;
            lt: string;
            lteq: string;
            neq: string;
            isA: string;
            hasPart: string;
            isPartOf: string;
            isAllOf: string;
            isAnyOf: string;
            isNoneOf: string;
            or: string;
            xone: string;
            and: string;
            andSequence: string;
            policyUsage: string;
        };
    };
    'http://schema.org/': {
        '@context': {
            type: string;
            id: string;
            HTML: {
                '@id': string;
            };
            '@vocab': string;
            rdf: string;
            rdfs: string;
            xsd: string;
            schema: string;
            owl: string;
            dc: string;
            dct: string;
            dctype: string;
            void: string;
            dcat: string;
            '3DModel': {
                '@id': string;
            };
            AMRadioChannel: {
                '@id': string;
            };
            APIReference: {
                '@id': string;
            };
            Abdomen: {
                '@id': string;
            };
            AboutPage: {
                '@id': string;
            };
            AcceptAction: {
                '@id': string;
            };
            Accommodation: {
                '@id': string;
            };
            AccountingService: {
                '@id': string;
            };
            AchieveAction: {
                '@id': string;
            };
            Action: {
                '@id': string;
            };
            ActionAccessSpecification: {
                '@id': string;
            };
            ActionStatusType: {
                '@id': string;
            };
            ActivateAction: {
                '@id': string;
            };
            ActivationFee: {
                '@id': string;
            };
            ActiveActionStatus: {
                '@id': string;
            };
            ActiveNotRecruiting: {
                '@id': string;
            };
            AddAction: {
                '@id': string;
            };
            AdministrativeArea: {
                '@id': string;
            };
            AdultEntertainment: {
                '@id': string;
            };
            AdvertiserContentArticle: {
                '@id': string;
            };
            AerobicActivity: {
                '@id': string;
            };
            AggregateOffer: {
                '@id': string;
            };
            AggregateRating: {
                '@id': string;
            };
            AgreeAction: {
                '@id': string;
            };
            Airline: {
                '@id': string;
            };
            Airport: {
                '@id': string;
            };
            AlbumRelease: {
                '@id': string;
            };
            AlignmentObject: {
                '@id': string;
            };
            AllWheelDriveConfiguration: {
                '@id': string;
            };
            AllergiesHealthAspect: {
                '@id': string;
            };
            AllocateAction: {
                '@id': string;
            };
            AmpStory: {
                '@id': string;
            };
            AmusementPark: {
                '@id': string;
            };
            AnaerobicActivity: {
                '@id': string;
            };
            AnalysisNewsArticle: {
                '@id': string;
            };
            AnatomicalStructure: {
                '@id': string;
            };
            AnatomicalSystem: {
                '@id': string;
            };
            Anesthesia: {
                '@id': string;
            };
            AnimalShelter: {
                '@id': string;
            };
            Answer: {
                '@id': string;
            };
            Apartment: {
                '@id': string;
            };
            ApartmentComplex: {
                '@id': string;
            };
            Appearance: {
                '@id': string;
            };
            AppendAction: {
                '@id': string;
            };
            ApplyAction: {
                '@id': string;
            };
            ApprovedIndication: {
                '@id': string;
            };
            Aquarium: {
                '@id': string;
            };
            ArchiveComponent: {
                '@id': string;
            };
            ArchiveOrganization: {
                '@id': string;
            };
            ArriveAction: {
                '@id': string;
            };
            ArtGallery: {
                '@id': string;
            };
            Artery: {
                '@id': string;
            };
            Article: {
                '@id': string;
            };
            AskAction: {
                '@id': string;
            };
            AskPublicNewsArticle: {
                '@id': string;
            };
            AssessAction: {
                '@id': string;
            };
            AssignAction: {
                '@id': string;
            };
            Atlas: {
                '@id': string;
            };
            Attorney: {
                '@id': string;
            };
            Audience: {
                '@id': string;
            };
            AudioObject: {
                '@id': string;
            };
            Audiobook: {
                '@id': string;
            };
            AudiobookFormat: {
                '@id': string;
            };
            AuthoritativeLegalValue: {
                '@id': string;
            };
            AuthorizeAction: {
                '@id': string;
            };
            AutoBodyShop: {
                '@id': string;
            };
            AutoDealer: {
                '@id': string;
            };
            AutoPartsStore: {
                '@id': string;
            };
            AutoRental: {
                '@id': string;
            };
            AutoRepair: {
                '@id': string;
            };
            AutoWash: {
                '@id': string;
            };
            AutomatedTeller: {
                '@id': string;
            };
            AutomotiveBusiness: {
                '@id': string;
            };
            Ayurvedic: {
                '@id': string;
            };
            BackOrder: {
                '@id': string;
            };
            BackgroundNewsArticle: {
                '@id': string;
            };
            Bacteria: {
                '@id': string;
            };
            Bakery: {
                '@id': string;
            };
            Balance: {
                '@id': string;
            };
            BankAccount: {
                '@id': string;
            };
            BankOrCreditUnion: {
                '@id': string;
            };
            BarOrPub: {
                '@id': string;
            };
            Barcode: {
                '@id': string;
            };
            BasicIncome: {
                '@id': string;
            };
            Beach: {
                '@id': string;
            };
            BeautySalon: {
                '@id': string;
            };
            BedAndBreakfast: {
                '@id': string;
            };
            BedDetails: {
                '@id': string;
            };
            BedType: {
                '@id': string;
            };
            BefriendAction: {
                '@id': string;
            };
            BenefitsHealthAspect: {
                '@id': string;
            };
            BikeStore: {
                '@id': string;
            };
            Blog: {
                '@id': string;
            };
            BlogPosting: {
                '@id': string;
            };
            BloodTest: {
                '@id': string;
            };
            BoardingPolicyType: {
                '@id': string;
            };
            BoatReservation: {
                '@id': string;
            };
            BoatTerminal: {
                '@id': string;
            };
            BoatTrip: {
                '@id': string;
            };
            BodyMeasurementArm: {
                '@id': string;
            };
            BodyMeasurementBust: {
                '@id': string;
            };
            BodyMeasurementChest: {
                '@id': string;
            };
            BodyMeasurementFoot: {
                '@id': string;
            };
            BodyMeasurementHand: {
                '@id': string;
            };
            BodyMeasurementHead: {
                '@id': string;
            };
            BodyMeasurementHeight: {
                '@id': string;
            };
            BodyMeasurementHips: {
                '@id': string;
            };
            BodyMeasurementInsideLeg: {
                '@id': string;
            };
            BodyMeasurementNeck: {
                '@id': string;
            };
            BodyMeasurementTypeEnumeration: {
                '@id': string;
            };
            BodyMeasurementUnderbust: {
                '@id': string;
            };
            BodyMeasurementWaist: {
                '@id': string;
            };
            BodyMeasurementWeight: {
                '@id': string;
            };
            BodyOfWater: {
                '@id': string;
            };
            Bone: {
                '@id': string;
            };
            Book: {
                '@id': string;
            };
            BookFormatType: {
                '@id': string;
            };
            BookSeries: {
                '@id': string;
            };
            BookStore: {
                '@id': string;
            };
            BookmarkAction: {
                '@id': string;
            };
            Boolean: {
                '@id': string;
            };
            BorrowAction: {
                '@id': string;
            };
            BowlingAlley: {
                '@id': string;
            };
            BrainStructure: {
                '@id': string;
            };
            Brand: {
                '@id': string;
            };
            BreadcrumbList: {
                '@id': string;
            };
            Brewery: {
                '@id': string;
            };
            Bridge: {
                '@id': string;
            };
            BroadcastChannel: {
                '@id': string;
            };
            BroadcastEvent: {
                '@id': string;
            };
            BroadcastFrequencySpecification: {
                '@id': string;
            };
            BroadcastRelease: {
                '@id': string;
            };
            BroadcastService: {
                '@id': string;
            };
            BrokerageAccount: {
                '@id': string;
            };
            BuddhistTemple: {
                '@id': string;
            };
            BusOrCoach: {
                '@id': string;
            };
            BusReservation: {
                '@id': string;
            };
            BusStation: {
                '@id': string;
            };
            BusStop: {
                '@id': string;
            };
            BusTrip: {
                '@id': string;
            };
            BusinessAudience: {
                '@id': string;
            };
            BusinessEntityType: {
                '@id': string;
            };
            BusinessEvent: {
                '@id': string;
            };
            BusinessFunction: {
                '@id': string;
            };
            BusinessSupport: {
                '@id': string;
            };
            BuyAction: {
                '@id': string;
            };
            CDCPMDRecord: {
                '@id': string;
            };
            CDFormat: {
                '@id': string;
            };
            CT: {
                '@id': string;
            };
            CableOrSatelliteService: {
                '@id': string;
            };
            CafeOrCoffeeShop: {
                '@id': string;
            };
            Campground: {
                '@id': string;
            };
            CampingPitch: {
                '@id': string;
            };
            Canal: {
                '@id': string;
            };
            CancelAction: {
                '@id': string;
            };
            Car: {
                '@id': string;
            };
            CarUsageType: {
                '@id': string;
            };
            Cardiovascular: {
                '@id': string;
            };
            CardiovascularExam: {
                '@id': string;
            };
            CaseSeries: {
                '@id': string;
            };
            Casino: {
                '@id': string;
            };
            CassetteFormat: {
                '@id': string;
            };
            CategoryCode: {
                '@id': string;
            };
            CategoryCodeSet: {
                '@id': string;
            };
            CatholicChurch: {
                '@id': string;
            };
            CausesHealthAspect: {
                '@id': string;
            };
            Cemetery: {
                '@id': string;
            };
            Chapter: {
                '@id': string;
            };
            CharitableIncorporatedOrganization: {
                '@id': string;
            };
            CheckAction: {
                '@id': string;
            };
            CheckInAction: {
                '@id': string;
            };
            CheckOutAction: {
                '@id': string;
            };
            CheckoutPage: {
                '@id': string;
            };
            ChildCare: {
                '@id': string;
            };
            ChildrensEvent: {
                '@id': string;
            };
            Chiropractic: {
                '@id': string;
            };
            ChooseAction: {
                '@id': string;
            };
            Church: {
                '@id': string;
            };
            City: {
                '@id': string;
            };
            CityHall: {
                '@id': string;
            };
            CivicStructure: {
                '@id': string;
            };
            Claim: {
                '@id': string;
            };
            ClaimReview: {
                '@id': string;
            };
            Class: {
                '@id': string;
            };
            CleaningFee: {
                '@id': string;
            };
            Clinician: {
                '@id': string;
            };
            Clip: {
                '@id': string;
            };
            ClothingStore: {
                '@id': string;
            };
            CoOp: {
                '@id': string;
            };
            Code: {
                '@id': string;
            };
            CohortStudy: {
                '@id': string;
            };
            Collection: {
                '@id': string;
            };
            CollectionPage: {
                '@id': string;
            };
            CollegeOrUniversity: {
                '@id': string;
            };
            ComedyClub: {
                '@id': string;
            };
            ComedyEvent: {
                '@id': string;
            };
            ComicCoverArt: {
                '@id': string;
            };
            ComicIssue: {
                '@id': string;
            };
            ComicSeries: {
                '@id': string;
            };
            ComicStory: {
                '@id': string;
            };
            Comment: {
                '@id': string;
            };
            CommentAction: {
                '@id': string;
            };
            CommentPermission: {
                '@id': string;
            };
            CommunicateAction: {
                '@id': string;
            };
            CommunityHealth: {
                '@id': string;
            };
            CompilationAlbum: {
                '@id': string;
            };
            CompleteDataFeed: {
                '@id': string;
            };
            Completed: {
                '@id': string;
            };
            CompletedActionStatus: {
                '@id': string;
            };
            CompoundPriceSpecification: {
                '@id': string;
            };
            ComputerLanguage: {
                '@id': string;
            };
            ComputerStore: {
                '@id': string;
            };
            ConfirmAction: {
                '@id': string;
            };
            Consortium: {
                '@id': string;
            };
            ConsumeAction: {
                '@id': string;
            };
            ContactPage: {
                '@id': string;
            };
            ContactPoint: {
                '@id': string;
            };
            ContactPointOption: {
                '@id': string;
            };
            ContagiousnessHealthAspect: {
                '@id': string;
            };
            Continent: {
                '@id': string;
            };
            ControlAction: {
                '@id': string;
            };
            ConvenienceStore: {
                '@id': string;
            };
            Conversation: {
                '@id': string;
            };
            CookAction: {
                '@id': string;
            };
            Corporation: {
                '@id': string;
            };
            CorrectionComment: {
                '@id': string;
            };
            Country: {
                '@id': string;
            };
            Course: {
                '@id': string;
            };
            CourseInstance: {
                '@id': string;
            };
            Courthouse: {
                '@id': string;
            };
            CoverArt: {
                '@id': string;
            };
            CovidTestingFacility: {
                '@id': string;
            };
            CreateAction: {
                '@id': string;
            };
            CreativeWork: {
                '@id': string;
            };
            CreativeWorkSeason: {
                '@id': string;
            };
            CreativeWorkSeries: {
                '@id': string;
            };
            CreditCard: {
                '@id': string;
            };
            Crematorium: {
                '@id': string;
            };
            CriticReview: {
                '@id': string;
            };
            CrossSectional: {
                '@id': string;
            };
            CssSelectorType: {
                '@id': string;
            };
            CurrencyConversionService: {
                '@id': string;
            };
            DDxElement: {
                '@id': string;
            };
            DJMixAlbum: {
                '@id': string;
            };
            DVDFormat: {
                '@id': string;
            };
            DamagedCondition: {
                '@id': string;
            };
            DanceEvent: {
                '@id': string;
            };
            DanceGroup: {
                '@id': string;
            };
            DataCatalog: {
                '@id': string;
            };
            DataDownload: {
                '@id': string;
            };
            DataFeed: {
                '@id': string;
            };
            DataFeedItem: {
                '@id': string;
            };
            DataType: {
                '@id': string;
            };
            Dataset: {
                '@id': string;
            };
            Date: {
                '@id': string;
            };
            DateTime: {
                '@id': string;
            };
            DatedMoneySpecification: {
                '@id': string;
            };
            DayOfWeek: {
                '@id': string;
            };
            DaySpa: {
                '@id': string;
            };
            DeactivateAction: {
                '@id': string;
            };
            DecontextualizedContent: {
                '@id': string;
            };
            DefenceEstablishment: {
                '@id': string;
            };
            DefinedRegion: {
                '@id': string;
            };
            DefinedTerm: {
                '@id': string;
            };
            DefinedTermSet: {
                '@id': string;
            };
            DefinitiveLegalValue: {
                '@id': string;
            };
            DeleteAction: {
                '@id': string;
            };
            DeliveryChargeSpecification: {
                '@id': string;
            };
            DeliveryEvent: {
                '@id': string;
            };
            DeliveryMethod: {
                '@id': string;
            };
            DeliveryTimeSettings: {
                '@id': string;
            };
            Demand: {
                '@id': string;
            };
            DemoAlbum: {
                '@id': string;
            };
            Dentist: {
                '@id': string;
            };
            Dentistry: {
                '@id': string;
            };
            DepartAction: {
                '@id': string;
            };
            DepartmentStore: {
                '@id': string;
            };
            DepositAccount: {
                '@id': string;
            };
            Dermatologic: {
                '@id': string;
            };
            Dermatology: {
                '@id': string;
            };
            DiabeticDiet: {
                '@id': string;
            };
            Diagnostic: {
                '@id': string;
            };
            DiagnosticLab: {
                '@id': string;
            };
            DiagnosticProcedure: {
                '@id': string;
            };
            Diet: {
                '@id': string;
            };
            DietNutrition: {
                '@id': string;
            };
            DietarySupplement: {
                '@id': string;
            };
            DigitalAudioTapeFormat: {
                '@id': string;
            };
            DigitalDocument: {
                '@id': string;
            };
            DigitalDocumentPermission: {
                '@id': string;
            };
            DigitalDocumentPermissionType: {
                '@id': string;
            };
            DigitalFormat: {
                '@id': string;
            };
            DisabilitySupport: {
                '@id': string;
            };
            DisagreeAction: {
                '@id': string;
            };
            Discontinued: {
                '@id': string;
            };
            DiscoverAction: {
                '@id': string;
            };
            DiscussionForumPosting: {
                '@id': string;
            };
            DislikeAction: {
                '@id': string;
            };
            Distance: {
                '@id': string;
            };
            DistanceFee: {
                '@id': string;
            };
            Distillery: {
                '@id': string;
            };
            DonateAction: {
                '@id': string;
            };
            DoseSchedule: {
                '@id': string;
            };
            DoubleBlindedTrial: {
                '@id': string;
            };
            DownloadAction: {
                '@id': string;
            };
            Downpayment: {
                '@id': string;
            };
            DrawAction: {
                '@id': string;
            };
            Drawing: {
                '@id': string;
            };
            DrinkAction: {
                '@id': string;
            };
            DriveWheelConfigurationValue: {
                '@id': string;
            };
            DrivingSchoolVehicleUsage: {
                '@id': string;
            };
            Drug: {
                '@id': string;
            };
            DrugClass: {
                '@id': string;
            };
            DrugCost: {
                '@id': string;
            };
            DrugCostCategory: {
                '@id': string;
            };
            DrugLegalStatus: {
                '@id': string;
            };
            DrugPregnancyCategory: {
                '@id': string;
            };
            DrugPrescriptionStatus: {
                '@id': string;
            };
            DrugStrength: {
                '@id': string;
            };
            DryCleaningOrLaundry: {
                '@id': string;
            };
            Duration: {
                '@id': string;
            };
            EBook: {
                '@id': string;
            };
            EPRelease: {
                '@id': string;
            };
            EUEnergyEfficiencyCategoryA: {
                '@id': string;
            };
            EUEnergyEfficiencyCategoryA1Plus: {
                '@id': string;
            };
            EUEnergyEfficiencyCategoryA2Plus: {
                '@id': string;
            };
            EUEnergyEfficiencyCategoryA3Plus: {
                '@id': string;
            };
            EUEnergyEfficiencyCategoryB: {
                '@id': string;
            };
            EUEnergyEfficiencyCategoryC: {
                '@id': string;
            };
            EUEnergyEfficiencyCategoryD: {
                '@id': string;
            };
            EUEnergyEfficiencyCategoryE: {
                '@id': string;
            };
            EUEnergyEfficiencyCategoryF: {
                '@id': string;
            };
            EUEnergyEfficiencyCategoryG: {
                '@id': string;
            };
            EUEnergyEfficiencyEnumeration: {
                '@id': string;
            };
            Ear: {
                '@id': string;
            };
            EatAction: {
                '@id': string;
            };
            EditedOrCroppedContent: {
                '@id': string;
            };
            EducationEvent: {
                '@id': string;
            };
            EducationalAudience: {
                '@id': string;
            };
            EducationalOccupationalCredential: {
                '@id': string;
            };
            EducationalOccupationalProgram: {
                '@id': string;
            };
            EducationalOrganization: {
                '@id': string;
            };
            EffectivenessHealthAspect: {
                '@id': string;
            };
            Electrician: {
                '@id': string;
            };
            ElectronicsStore: {
                '@id': string;
            };
            ElementarySchool: {
                '@id': string;
            };
            EmailMessage: {
                '@id': string;
            };
            Embassy: {
                '@id': string;
            };
            Emergency: {
                '@id': string;
            };
            EmergencyService: {
                '@id': string;
            };
            EmployeeRole: {
                '@id': string;
            };
            EmployerAggregateRating: {
                '@id': string;
            };
            EmployerReview: {
                '@id': string;
            };
            EmploymentAgency: {
                '@id': string;
            };
            Endocrine: {
                '@id': string;
            };
            EndorseAction: {
                '@id': string;
            };
            EndorsementRating: {
                '@id': string;
            };
            Energy: {
                '@id': string;
            };
            EnergyConsumptionDetails: {
                '@id': string;
            };
            EnergyEfficiencyEnumeration: {
                '@id': string;
            };
            EnergyStarCertified: {
                '@id': string;
            };
            EnergyStarEnergyEfficiencyEnumeration: {
                '@id': string;
            };
            EngineSpecification: {
                '@id': string;
            };
            EnrollingByInvitation: {
                '@id': string;
            };
            EntertainmentBusiness: {
                '@id': string;
            };
            EntryPoint: {
                '@id': string;
            };
            Enumeration: {
                '@id': string;
            };
            Episode: {
                '@id': string;
            };
            Event: {
                '@id': string;
            };
            EventAttendanceModeEnumeration: {
                '@id': string;
            };
            EventCancelled: {
                '@id': string;
            };
            EventMovedOnline: {
                '@id': string;
            };
            EventPostponed: {
                '@id': string;
            };
            EventRescheduled: {
                '@id': string;
            };
            EventReservation: {
                '@id': string;
            };
            EventScheduled: {
                '@id': string;
            };
            EventSeries: {
                '@id': string;
            };
            EventStatusType: {
                '@id': string;
            };
            EventVenue: {
                '@id': string;
            };
            EvidenceLevelA: {
                '@id': string;
            };
            EvidenceLevelB: {
                '@id': string;
            };
            EvidenceLevelC: {
                '@id': string;
            };
            ExchangeRateSpecification: {
                '@id': string;
            };
            ExchangeRefund: {
                '@id': string;
            };
            ExerciseAction: {
                '@id': string;
            };
            ExerciseGym: {
                '@id': string;
            };
            ExercisePlan: {
                '@id': string;
            };
            ExhibitionEvent: {
                '@id': string;
            };
            Eye: {
                '@id': string;
            };
            FAQPage: {
                '@id': string;
            };
            FDAcategoryA: {
                '@id': string;
            };
            FDAcategoryB: {
                '@id': string;
            };
            FDAcategoryC: {
                '@id': string;
            };
            FDAcategoryD: {
                '@id': string;
            };
            FDAcategoryX: {
                '@id': string;
            };
            FDAnotEvaluated: {
                '@id': string;
            };
            FMRadioChannel: {
                '@id': string;
            };
            FailedActionStatus: {
                '@id': string;
            };
            False: {
                '@id': string;
            };
            FastFoodRestaurant: {
                '@id': string;
            };
            Female: {
                '@id': string;
            };
            Festival: {
                '@id': string;
            };
            FilmAction: {
                '@id': string;
            };
            FinancialProduct: {
                '@id': string;
            };
            FinancialService: {
                '@id': string;
            };
            FindAction: {
                '@id': string;
            };
            FireStation: {
                '@id': string;
            };
            Flexibility: {
                '@id': string;
            };
            Flight: {
                '@id': string;
            };
            FlightReservation: {
                '@id': string;
            };
            Float: {
                '@id': string;
            };
            FloorPlan: {
                '@id': string;
            };
            Florist: {
                '@id': string;
            };
            FollowAction: {
                '@id': string;
            };
            FoodEstablishment: {
                '@id': string;
            };
            FoodEstablishmentReservation: {
                '@id': string;
            };
            FoodEvent: {
                '@id': string;
            };
            FoodService: {
                '@id': string;
            };
            FourWheelDriveConfiguration: {
                '@id': string;
            };
            Friday: {
                '@id': string;
            };
            FrontWheelDriveConfiguration: {
                '@id': string;
            };
            FullRefund: {
                '@id': string;
            };
            FundingAgency: {
                '@id': string;
            };
            FundingScheme: {
                '@id': string;
            };
            Fungus: {
                '@id': string;
            };
            FurnitureStore: {
                '@id': string;
            };
            Game: {
                '@id': string;
            };
            GamePlayMode: {
                '@id': string;
            };
            GameServer: {
                '@id': string;
            };
            GameServerStatus: {
                '@id': string;
            };
            GardenStore: {
                '@id': string;
            };
            GasStation: {
                '@id': string;
            };
            Gastroenterologic: {
                '@id': string;
            };
            GatedResidenceCommunity: {
                '@id': string;
            };
            GenderType: {
                '@id': string;
            };
            GeneralContractor: {
                '@id': string;
            };
            Genetic: {
                '@id': string;
            };
            Genitourinary: {
                '@id': string;
            };
            GeoCircle: {
                '@id': string;
            };
            GeoCoordinates: {
                '@id': string;
            };
            GeoShape: {
                '@id': string;
            };
            GeospatialGeometry: {
                '@id': string;
            };
            Geriatric: {
                '@id': string;
            };
            GettingAccessHealthAspect: {
                '@id': string;
            };
            GiveAction: {
                '@id': string;
            };
            GlutenFreeDiet: {
                '@id': string;
            };
            GolfCourse: {
                '@id': string;
            };
            GovernmentBenefitsType: {
                '@id': string;
            };
            GovernmentBuilding: {
                '@id': string;
            };
            GovernmentOffice: {
                '@id': string;
            };
            GovernmentOrganization: {
                '@id': string;
            };
            GovernmentPermit: {
                '@id': string;
            };
            GovernmentService: {
                '@id': string;
            };
            Grant: {
                '@id': string;
            };
            GraphicNovel: {
                '@id': string;
            };
            GroceryStore: {
                '@id': string;
            };
            GroupBoardingPolicy: {
                '@id': string;
            };
            Guide: {
                '@id': string;
            };
            Gynecologic: {
                '@id': string;
            };
            HVACBusiness: {
                '@id': string;
            };
            Hackathon: {
                '@id': string;
            };
            HairSalon: {
                '@id': string;
            };
            HalalDiet: {
                '@id': string;
            };
            Hardcover: {
                '@id': string;
            };
            HardwareStore: {
                '@id': string;
            };
            Head: {
                '@id': string;
            };
            HealthAndBeautyBusiness: {
                '@id': string;
            };
            HealthAspectEnumeration: {
                '@id': string;
            };
            HealthCare: {
                '@id': string;
            };
            HealthClub: {
                '@id': string;
            };
            HealthInsurancePlan: {
                '@id': string;
            };
            HealthPlanCostSharingSpecification: {
                '@id': string;
            };
            HealthPlanFormulary: {
                '@id': string;
            };
            HealthPlanNetwork: {
                '@id': string;
            };
            HealthTopicContent: {
                '@id': string;
            };
            HearingImpairedSupported: {
                '@id': string;
            };
            Hematologic: {
                '@id': string;
            };
            HighSchool: {
                '@id': string;
            };
            HinduDiet: {
                '@id': string;
            };
            HinduTemple: {
                '@id': string;
            };
            HobbyShop: {
                '@id': string;
            };
            HomeAndConstructionBusiness: {
                '@id': string;
            };
            HomeGoodsStore: {
                '@id': string;
            };
            Homeopathic: {
                '@id': string;
            };
            Hospital: {
                '@id': string;
            };
            Hostel: {
                '@id': string;
            };
            Hotel: {
                '@id': string;
            };
            HotelRoom: {
                '@id': string;
            };
            House: {
                '@id': string;
            };
            HousePainter: {
                '@id': string;
            };
            HowItWorksHealthAspect: {
                '@id': string;
            };
            HowOrWhereHealthAspect: {
                '@id': string;
            };
            HowTo: {
                '@id': string;
            };
            HowToDirection: {
                '@id': string;
            };
            HowToItem: {
                '@id': string;
            };
            HowToSection: {
                '@id': string;
            };
            HowToStep: {
                '@id': string;
            };
            HowToSupply: {
                '@id': string;
            };
            HowToTip: {
                '@id': string;
            };
            HowToTool: {
                '@id': string;
            };
            HyperToc: {
                '@id': string;
            };
            HyperTocEntry: {
                '@id': string;
            };
            IceCreamShop: {
                '@id': string;
            };
            IgnoreAction: {
                '@id': string;
            };
            ImageGallery: {
                '@id': string;
            };
            ImageObject: {
                '@id': string;
            };
            ImagingTest: {
                '@id': string;
            };
            InForce: {
                '@id': string;
            };
            InStock: {
                '@id': string;
            };
            InStoreOnly: {
                '@id': string;
            };
            IndividualProduct: {
                '@id': string;
            };
            Infectious: {
                '@id': string;
            };
            InfectiousAgentClass: {
                '@id': string;
            };
            InfectiousDisease: {
                '@id': string;
            };
            InformAction: {
                '@id': string;
            };
            IngredientsHealthAspect: {
                '@id': string;
            };
            InsertAction: {
                '@id': string;
            };
            InstallAction: {
                '@id': string;
            };
            Installment: {
                '@id': string;
            };
            InsuranceAgency: {
                '@id': string;
            };
            Intangible: {
                '@id': string;
            };
            Integer: {
                '@id': string;
            };
            InteractAction: {
                '@id': string;
            };
            InteractionCounter: {
                '@id': string;
            };
            InternationalTrial: {
                '@id': string;
            };
            InternetCafe: {
                '@id': string;
            };
            InvestmentFund: {
                '@id': string;
            };
            InvestmentOrDeposit: {
                '@id': string;
            };
            InviteAction: {
                '@id': string;
            };
            Invoice: {
                '@id': string;
            };
            InvoicePrice: {
                '@id': string;
            };
            ItemAvailability: {
                '@id': string;
            };
            ItemList: {
                '@id': string;
            };
            ItemListOrderAscending: {
                '@id': string;
            };
            ItemListOrderDescending: {
                '@id': string;
            };
            ItemListOrderType: {
                '@id': string;
            };
            ItemListUnordered: {
                '@id': string;
            };
            ItemPage: {
                '@id': string;
            };
            JewelryStore: {
                '@id': string;
            };
            JobPosting: {
                '@id': string;
            };
            JoinAction: {
                '@id': string;
            };
            Joint: {
                '@id': string;
            };
            KosherDiet: {
                '@id': string;
            };
            LaboratoryScience: {
                '@id': string;
            };
            LakeBodyOfWater: {
                '@id': string;
            };
            Landform: {
                '@id': string;
            };
            LandmarksOrHistoricalBuildings: {
                '@id': string;
            };
            Language: {
                '@id': string;
            };
            LaserDiscFormat: {
                '@id': string;
            };
            LearningResource: {
                '@id': string;
            };
            LeaveAction: {
                '@id': string;
            };
            LeftHandDriving: {
                '@id': string;
            };
            LegalForceStatus: {
                '@id': string;
            };
            LegalService: {
                '@id': string;
            };
            LegalValueLevel: {
                '@id': string;
            };
            Legislation: {
                '@id': string;
            };
            LegislationObject: {
                '@id': string;
            };
            LegislativeBuilding: {
                '@id': string;
            };
            LeisureTimeActivity: {
                '@id': string;
            };
            LendAction: {
                '@id': string;
            };
            Library: {
                '@id': string;
            };
            LibrarySystem: {
                '@id': string;
            };
            LifestyleModification: {
                '@id': string;
            };
            Ligament: {
                '@id': string;
            };
            LikeAction: {
                '@id': string;
            };
            LimitedAvailability: {
                '@id': string;
            };
            LimitedByGuaranteeCharity: {
                '@id': string;
            };
            LinkRole: {
                '@id': string;
            };
            LiquorStore: {
                '@id': string;
            };
            ListItem: {
                '@id': string;
            };
            ListPrice: {
                '@id': string;
            };
            ListenAction: {
                '@id': string;
            };
            LiteraryEvent: {
                '@id': string;
            };
            LiveAlbum: {
                '@id': string;
            };
            LiveBlogPosting: {
                '@id': string;
            };
            LivingWithHealthAspect: {
                '@id': string;
            };
            LoanOrCredit: {
                '@id': string;
            };
            LocalBusiness: {
                '@id': string;
            };
            LocationFeatureSpecification: {
                '@id': string;
            };
            LockerDelivery: {
                '@id': string;
            };
            Locksmith: {
                '@id': string;
            };
            LodgingBusiness: {
                '@id': string;
            };
            LodgingReservation: {
                '@id': string;
            };
            Longitudinal: {
                '@id': string;
            };
            LoseAction: {
                '@id': string;
            };
            LowCalorieDiet: {
                '@id': string;
            };
            LowFatDiet: {
                '@id': string;
            };
            LowLactoseDiet: {
                '@id': string;
            };
            LowSaltDiet: {
                '@id': string;
            };
            Lung: {
                '@id': string;
            };
            LymphaticVessel: {
                '@id': string;
            };
            MRI: {
                '@id': string;
            };
            MSRP: {
                '@id': string;
            };
            Male: {
                '@id': string;
            };
            Manuscript: {
                '@id': string;
            };
            Map: {
                '@id': string;
            };
            MapCategoryType: {
                '@id': string;
            };
            MarryAction: {
                '@id': string;
            };
            Mass: {
                '@id': string;
            };
            MathSolver: {
                '@id': string;
            };
            MaximumDoseSchedule: {
                '@id': string;
            };
            MayTreatHealthAspect: {
                '@id': string;
            };
            MeasurementTypeEnumeration: {
                '@id': string;
            };
            MediaGallery: {
                '@id': string;
            };
            MediaManipulationRatingEnumeration: {
                '@id': string;
            };
            MediaObject: {
                '@id': string;
            };
            MediaReview: {
                '@id': string;
            };
            MediaSubscription: {
                '@id': string;
            };
            MedicalAudience: {
                '@id': string;
            };
            MedicalAudienceType: {
                '@id': string;
            };
            MedicalBusiness: {
                '@id': string;
            };
            MedicalCause: {
                '@id': string;
            };
            MedicalClinic: {
                '@id': string;
            };
            MedicalCode: {
                '@id': string;
            };
            MedicalCondition: {
                '@id': string;
            };
            MedicalConditionStage: {
                '@id': string;
            };
            MedicalContraindication: {
                '@id': string;
            };
            MedicalDevice: {
                '@id': string;
            };
            MedicalDevicePurpose: {
                '@id': string;
            };
            MedicalEntity: {
                '@id': string;
            };
            MedicalEnumeration: {
                '@id': string;
            };
            MedicalEvidenceLevel: {
                '@id': string;
            };
            MedicalGuideline: {
                '@id': string;
            };
            MedicalGuidelineContraindication: {
                '@id': string;
            };
            MedicalGuidelineRecommendation: {
                '@id': string;
            };
            MedicalImagingTechnique: {
                '@id': string;
            };
            MedicalIndication: {
                '@id': string;
            };
            MedicalIntangible: {
                '@id': string;
            };
            MedicalObservationalStudy: {
                '@id': string;
            };
            MedicalObservationalStudyDesign: {
                '@id': string;
            };
            MedicalOrganization: {
                '@id': string;
            };
            MedicalProcedure: {
                '@id': string;
            };
            MedicalProcedureType: {
                '@id': string;
            };
            MedicalResearcher: {
                '@id': string;
            };
            MedicalRiskCalculator: {
                '@id': string;
            };
            MedicalRiskEstimator: {
                '@id': string;
            };
            MedicalRiskFactor: {
                '@id': string;
            };
            MedicalRiskScore: {
                '@id': string;
            };
            MedicalScholarlyArticle: {
                '@id': string;
            };
            MedicalSign: {
                '@id': string;
            };
            MedicalSignOrSymptom: {
                '@id': string;
            };
            MedicalSpecialty: {
                '@id': string;
            };
            MedicalStudy: {
                '@id': string;
            };
            MedicalStudyStatus: {
                '@id': string;
            };
            MedicalSymptom: {
                '@id': string;
            };
            MedicalTest: {
                '@id': string;
            };
            MedicalTestPanel: {
                '@id': string;
            };
            MedicalTherapy: {
                '@id': string;
            };
            MedicalTrial: {
                '@id': string;
            };
            MedicalTrialDesign: {
                '@id': string;
            };
            MedicalWebPage: {
                '@id': string;
            };
            MedicineSystem: {
                '@id': string;
            };
            MeetingRoom: {
                '@id': string;
            };
            MensClothingStore: {
                '@id': string;
            };
            Menu: {
                '@id': string;
            };
            MenuItem: {
                '@id': string;
            };
            MenuSection: {
                '@id': string;
            };
            MerchantReturnEnumeration: {
                '@id': string;
            };
            MerchantReturnFiniteReturnWindow: {
                '@id': string;
            };
            MerchantReturnNotPermitted: {
                '@id': string;
            };
            MerchantReturnPolicy: {
                '@id': string;
            };
            MerchantReturnUnlimitedWindow: {
                '@id': string;
            };
            MerchantReturnUnspecified: {
                '@id': string;
            };
            Message: {
                '@id': string;
            };
            MiddleSchool: {
                '@id': string;
            };
            Midwifery: {
                '@id': string;
            };
            MinimumAdvertisedPrice: {
                '@id': string;
            };
            MisconceptionsHealthAspect: {
                '@id': string;
            };
            MixedEventAttendanceMode: {
                '@id': string;
            };
            MixtapeAlbum: {
                '@id': string;
            };
            MobileApplication: {
                '@id': string;
            };
            MobilePhoneStore: {
                '@id': string;
            };
            Monday: {
                '@id': string;
            };
            MonetaryAmount: {
                '@id': string;
            };
            MonetaryAmountDistribution: {
                '@id': string;
            };
            MonetaryGrant: {
                '@id': string;
            };
            MoneyTransfer: {
                '@id': string;
            };
            MortgageLoan: {
                '@id': string;
            };
            Mosque: {
                '@id': string;
            };
            Motel: {
                '@id': string;
            };
            Motorcycle: {
                '@id': string;
            };
            MotorcycleDealer: {
                '@id': string;
            };
            MotorcycleRepair: {
                '@id': string;
            };
            MotorizedBicycle: {
                '@id': string;
            };
            Mountain: {
                '@id': string;
            };
            MoveAction: {
                '@id': string;
            };
            Movie: {
                '@id': string;
            };
            MovieClip: {
                '@id': string;
            };
            MovieRentalStore: {
                '@id': string;
            };
            MovieSeries: {
                '@id': string;
            };
            MovieTheater: {
                '@id': string;
            };
            MovingCompany: {
                '@id': string;
            };
            MultiCenterTrial: {
                '@id': string;
            };
            MultiPlayer: {
                '@id': string;
            };
            MulticellularParasite: {
                '@id': string;
            };
            Muscle: {
                '@id': string;
            };
            Musculoskeletal: {
                '@id': string;
            };
            MusculoskeletalExam: {
                '@id': string;
            };
            Museum: {
                '@id': string;
            };
            MusicAlbum: {
                '@id': string;
            };
            MusicAlbumProductionType: {
                '@id': string;
            };
            MusicAlbumReleaseType: {
                '@id': string;
            };
            MusicComposition: {
                '@id': string;
            };
            MusicEvent: {
                '@id': string;
            };
            MusicGroup: {
                '@id': string;
            };
            MusicPlaylist: {
                '@id': string;
            };
            MusicRecording: {
                '@id': string;
            };
            MusicRelease: {
                '@id': string;
            };
            MusicReleaseFormatType: {
                '@id': string;
            };
            MusicStore: {
                '@id': string;
            };
            MusicVenue: {
                '@id': string;
            };
            MusicVideoObject: {
                '@id': string;
            };
            NGO: {
                '@id': string;
            };
            NLNonprofitType: {
                '@id': string;
            };
            NailSalon: {
                '@id': string;
            };
            Neck: {
                '@id': string;
            };
            Nerve: {
                '@id': string;
            };
            Neuro: {
                '@id': string;
            };
            Neurologic: {
                '@id': string;
            };
            NewCondition: {
                '@id': string;
            };
            NewsArticle: {
                '@id': string;
            };
            NewsMediaOrganization: {
                '@id': string;
            };
            Newspaper: {
                '@id': string;
            };
            NightClub: {
                '@id': string;
            };
            NoninvasiveProcedure: {
                '@id': string;
            };
            Nonprofit501a: {
                '@id': string;
            };
            Nonprofit501c1: {
                '@id': string;
            };
            Nonprofit501c10: {
                '@id': string;
            };
            Nonprofit501c11: {
                '@id': string;
            };
            Nonprofit501c12: {
                '@id': string;
            };
            Nonprofit501c13: {
                '@id': string;
            };
            Nonprofit501c14: {
                '@id': string;
            };
            Nonprofit501c15: {
                '@id': string;
            };
            Nonprofit501c16: {
                '@id': string;
            };
            Nonprofit501c17: {
                '@id': string;
            };
            Nonprofit501c18: {
                '@id': string;
            };
            Nonprofit501c19: {
                '@id': string;
            };
            Nonprofit501c2: {
                '@id': string;
            };
            Nonprofit501c20: {
                '@id': string;
            };
            Nonprofit501c21: {
                '@id': string;
            };
            Nonprofit501c22: {
                '@id': string;
            };
            Nonprofit501c23: {
                '@id': string;
            };
            Nonprofit501c24: {
                '@id': string;
            };
            Nonprofit501c25: {
                '@id': string;
            };
            Nonprofit501c26: {
                '@id': string;
            };
            Nonprofit501c27: {
                '@id': string;
            };
            Nonprofit501c28: {
                '@id': string;
            };
            Nonprofit501c3: {
                '@id': string;
            };
            Nonprofit501c4: {
                '@id': string;
            };
            Nonprofit501c5: {
                '@id': string;
            };
            Nonprofit501c6: {
                '@id': string;
            };
            Nonprofit501c7: {
                '@id': string;
            };
            Nonprofit501c8: {
                '@id': string;
            };
            Nonprofit501c9: {
                '@id': string;
            };
            Nonprofit501d: {
                '@id': string;
            };
            Nonprofit501e: {
                '@id': string;
            };
            Nonprofit501f: {
                '@id': string;
            };
            Nonprofit501k: {
                '@id': string;
            };
            Nonprofit501n: {
                '@id': string;
            };
            Nonprofit501q: {
                '@id': string;
            };
            Nonprofit527: {
                '@id': string;
            };
            NonprofitANBI: {
                '@id': string;
            };
            NonprofitSBBI: {
                '@id': string;
            };
            NonprofitType: {
                '@id': string;
            };
            Nose: {
                '@id': string;
            };
            NotInForce: {
                '@id': string;
            };
            NotYetRecruiting: {
                '@id': string;
            };
            Notary: {
                '@id': string;
            };
            NoteDigitalDocument: {
                '@id': string;
            };
            Number: {
                '@id': string;
            };
            Nursing: {
                '@id': string;
            };
            NutritionInformation: {
                '@id': string;
            };
            OTC: {
                '@id': string;
            };
            Observation: {
                '@id': string;
            };
            Observational: {
                '@id': string;
            };
            Obstetric: {
                '@id': string;
            };
            Occupation: {
                '@id': string;
            };
            OccupationalActivity: {
                '@id': string;
            };
            OccupationalExperienceRequirements: {
                '@id': string;
            };
            OccupationalTherapy: {
                '@id': string;
            };
            OceanBodyOfWater: {
                '@id': string;
            };
            Offer: {
                '@id': string;
            };
            OfferCatalog: {
                '@id': string;
            };
            OfferForLease: {
                '@id': string;
            };
            OfferForPurchase: {
                '@id': string;
            };
            OfferItemCondition: {
                '@id': string;
            };
            OfferShippingDetails: {
                '@id': string;
            };
            OfficeEquipmentStore: {
                '@id': string;
            };
            OfficialLegalValue: {
                '@id': string;
            };
            OfflineEventAttendanceMode: {
                '@id': string;
            };
            OfflinePermanently: {
                '@id': string;
            };
            OfflineTemporarily: {
                '@id': string;
            };
            OnDemandEvent: {
                '@id': string;
            };
            OnSitePickup: {
                '@id': string;
            };
            Oncologic: {
                '@id': string;
            };
            OneTimePayments: {
                '@id': string;
            };
            Online: {
                '@id': string;
            };
            OnlineEventAttendanceMode: {
                '@id': string;
            };
            OnlineFull: {
                '@id': string;
            };
            OnlineOnly: {
                '@id': string;
            };
            OpenTrial: {
                '@id': string;
            };
            OpeningHoursSpecification: {
                '@id': string;
            };
            OpinionNewsArticle: {
                '@id': string;
            };
            Optician: {
                '@id': string;
            };
            Optometric: {
                '@id': string;
            };
            Order: {
                '@id': string;
            };
            OrderAction: {
                '@id': string;
            };
            OrderCancelled: {
                '@id': string;
            };
            OrderDelivered: {
                '@id': string;
            };
            OrderInTransit: {
                '@id': string;
            };
            OrderItem: {
                '@id': string;
            };
            OrderPaymentDue: {
                '@id': string;
            };
            OrderPickupAvailable: {
                '@id': string;
            };
            OrderProblem: {
                '@id': string;
            };
            OrderProcessing: {
                '@id': string;
            };
            OrderReturned: {
                '@id': string;
            };
            OrderStatus: {
                '@id': string;
            };
            Organization: {
                '@id': string;
            };
            OrganizationRole: {
                '@id': string;
            };
            OrganizeAction: {
                '@id': string;
            };
            OriginalMediaContent: {
                '@id': string;
            };
            OriginalShippingFees: {
                '@id': string;
            };
            Osteopathic: {
                '@id': string;
            };
            Otolaryngologic: {
                '@id': string;
            };
            OutOfStock: {
                '@id': string;
            };
            OutletStore: {
                '@id': string;
            };
            OverviewHealthAspect: {
                '@id': string;
            };
            OwnershipInfo: {
                '@id': string;
            };
            PET: {
                '@id': string;
            };
            PaidLeave: {
                '@id': string;
            };
            PaintAction: {
                '@id': string;
            };
            Painting: {
                '@id': string;
            };
            PalliativeProcedure: {
                '@id': string;
            };
            Paperback: {
                '@id': string;
            };
            ParcelDelivery: {
                '@id': string;
            };
            ParcelService: {
                '@id': string;
            };
            ParentAudience: {
                '@id': string;
            };
            ParentalSupport: {
                '@id': string;
            };
            Park: {
                '@id': string;
            };
            ParkingFacility: {
                '@id': string;
            };
            ParkingMap: {
                '@id': string;
            };
            PartiallyInForce: {
                '@id': string;
            };
            Pathology: {
                '@id': string;
            };
            PathologyTest: {
                '@id': string;
            };
            Patient: {
                '@id': string;
            };
            PatientExperienceHealthAspect: {
                '@id': string;
            };
            PawnShop: {
                '@id': string;
            };
            PayAction: {
                '@id': string;
            };
            PaymentAutomaticallyApplied: {
                '@id': string;
            };
            PaymentCard: {
                '@id': string;
            };
            PaymentChargeSpecification: {
                '@id': string;
            };
            PaymentComplete: {
                '@id': string;
            };
            PaymentDeclined: {
                '@id': string;
            };
            PaymentDue: {
                '@id': string;
            };
            PaymentMethod: {
                '@id': string;
            };
            PaymentPastDue: {
                '@id': string;
            };
            PaymentService: {
                '@id': string;
            };
            PaymentStatusType: {
                '@id': string;
            };
            Pediatric: {
                '@id': string;
            };
            PeopleAudience: {
                '@id': string;
            };
            PercutaneousProcedure: {
                '@id': string;
            };
            PerformAction: {
                '@id': string;
            };
            PerformanceRole: {
                '@id': string;
            };
            PerformingArtsTheater: {
                '@id': string;
            };
            PerformingGroup: {
                '@id': string;
            };
            Periodical: {
                '@id': string;
            };
            Permit: {
                '@id': string;
            };
            Person: {
                '@id': string;
            };
            PetStore: {
                '@id': string;
            };
            Pharmacy: {
                '@id': string;
            };
            PharmacySpecialty: {
                '@id': string;
            };
            Photograph: {
                '@id': string;
            };
            PhotographAction: {
                '@id': string;
            };
            PhysicalActivity: {
                '@id': string;
            };
            PhysicalActivityCategory: {
                '@id': string;
            };
            PhysicalExam: {
                '@id': string;
            };
            PhysicalTherapy: {
                '@id': string;
            };
            Physician: {
                '@id': string;
            };
            Physiotherapy: {
                '@id': string;
            };
            Place: {
                '@id': string;
            };
            PlaceOfWorship: {
                '@id': string;
            };
            PlaceboControlledTrial: {
                '@id': string;
            };
            PlanAction: {
                '@id': string;
            };
            PlasticSurgery: {
                '@id': string;
            };
            Play: {
                '@id': string;
            };
            PlayAction: {
                '@id': string;
            };
            Playground: {
                '@id': string;
            };
            Plumber: {
                '@id': string;
            };
            PodcastEpisode: {
                '@id': string;
            };
            PodcastSeason: {
                '@id': string;
            };
            PodcastSeries: {
                '@id': string;
            };
            Podiatric: {
                '@id': string;
            };
            PoliceStation: {
                '@id': string;
            };
            Pond: {
                '@id': string;
            };
            PostOffice: {
                '@id': string;
            };
            PostalAddress: {
                '@id': string;
            };
            PostalCodeRangeSpecification: {
                '@id': string;
            };
            Poster: {
                '@id': string;
            };
            PotentialActionStatus: {
                '@id': string;
            };
            PreOrder: {
                '@id': string;
            };
            PreOrderAction: {
                '@id': string;
            };
            PreSale: {
                '@id': string;
            };
            PregnancyHealthAspect: {
                '@id': string;
            };
            PrependAction: {
                '@id': string;
            };
            Preschool: {
                '@id': string;
            };
            PrescriptionOnly: {
                '@id': string;
            };
            PresentationDigitalDocument: {
                '@id': string;
            };
            PreventionHealthAspect: {
                '@id': string;
            };
            PreventionIndication: {
                '@id': string;
            };
            PriceComponentTypeEnumeration: {
                '@id': string;
            };
            PriceSpecification: {
                '@id': string;
            };
            PriceTypeEnumeration: {
                '@id': string;
            };
            PrimaryCare: {
                '@id': string;
            };
            Prion: {
                '@id': string;
            };
            Product: {
                '@id': string;
            };
            ProductCollection: {
                '@id': string;
            };
            ProductGroup: {
                '@id': string;
            };
            ProductModel: {
                '@id': string;
            };
            ProductReturnEnumeration: {
                '@id': string;
            };
            ProductReturnFiniteReturnWindow: {
                '@id': string;
            };
            ProductReturnNotPermitted: {
                '@id': string;
            };
            ProductReturnPolicy: {
                '@id': string;
            };
            ProductReturnUnlimitedWindow: {
                '@id': string;
            };
            ProductReturnUnspecified: {
                '@id': string;
            };
            ProfessionalService: {
                '@id': string;
            };
            ProfilePage: {
                '@id': string;
            };
            PrognosisHealthAspect: {
                '@id': string;
            };
            ProgramMembership: {
                '@id': string;
            };
            Project: {
                '@id': string;
            };
            PronounceableText: {
                '@id': string;
            };
            Property: {
                '@id': string;
            };
            PropertyValue: {
                '@id': string;
            };
            PropertyValueSpecification: {
                '@id': string;
            };
            Protozoa: {
                '@id': string;
            };
            Psychiatric: {
                '@id': string;
            };
            PsychologicalTreatment: {
                '@id': string;
            };
            PublicHealth: {
                '@id': string;
            };
            PublicHolidays: {
                '@id': string;
            };
            PublicSwimmingPool: {
                '@id': string;
            };
            PublicToilet: {
                '@id': string;
            };
            PublicationEvent: {
                '@id': string;
            };
            PublicationIssue: {
                '@id': string;
            };
            PublicationVolume: {
                '@id': string;
            };
            Pulmonary: {
                '@id': string;
            };
            QAPage: {
                '@id': string;
            };
            QualitativeValue: {
                '@id': string;
            };
            QuantitativeValue: {
                '@id': string;
            };
            QuantitativeValueDistribution: {
                '@id': string;
            };
            Quantity: {
                '@id': string;
            };
            Question: {
                '@id': string;
            };
            Quiz: {
                '@id': string;
            };
            Quotation: {
                '@id': string;
            };
            QuoteAction: {
                '@id': string;
            };
            RVPark: {
                '@id': string;
            };
            RadiationTherapy: {
                '@id': string;
            };
            RadioBroadcastService: {
                '@id': string;
            };
            RadioChannel: {
                '@id': string;
            };
            RadioClip: {
                '@id': string;
            };
            RadioEpisode: {
                '@id': string;
            };
            RadioSeason: {
                '@id': string;
            };
            RadioSeries: {
                '@id': string;
            };
            RadioStation: {
                '@id': string;
            };
            Radiography: {
                '@id': string;
            };
            RandomizedTrial: {
                '@id': string;
            };
            Rating: {
                '@id': string;
            };
            ReactAction: {
                '@id': string;
            };
            ReadAction: {
                '@id': string;
            };
            ReadPermission: {
                '@id': string;
            };
            RealEstateAgent: {
                '@id': string;
            };
            RealEstateListing: {
                '@id': string;
            };
            RearWheelDriveConfiguration: {
                '@id': string;
            };
            ReceiveAction: {
                '@id': string;
            };
            Recipe: {
                '@id': string;
            };
            Recommendation: {
                '@id': string;
            };
            RecommendedDoseSchedule: {
                '@id': string;
            };
            Recruiting: {
                '@id': string;
            };
            RecyclingCenter: {
                '@id': string;
            };
            RefundTypeEnumeration: {
                '@id': string;
            };
            RefurbishedCondition: {
                '@id': string;
            };
            RegisterAction: {
                '@id': string;
            };
            Registry: {
                '@id': string;
            };
            ReimbursementCap: {
                '@id': string;
            };
            RejectAction: {
                '@id': string;
            };
            RelatedTopicsHealthAspect: {
                '@id': string;
            };
            RemixAlbum: {
                '@id': string;
            };
            Renal: {
                '@id': string;
            };
            RentAction: {
                '@id': string;
            };
            RentalCarReservation: {
                '@id': string;
            };
            RentalVehicleUsage: {
                '@id': string;
            };
            RepaymentSpecification: {
                '@id': string;
            };
            ReplaceAction: {
                '@id': string;
            };
            ReplyAction: {
                '@id': string;
            };
            Report: {
                '@id': string;
            };
            ReportageNewsArticle: {
                '@id': string;
            };
            ReportedDoseSchedule: {
                '@id': string;
            };
            ResearchProject: {
                '@id': string;
            };
            Researcher: {
                '@id': string;
            };
            Reservation: {
                '@id': string;
            };
            ReservationCancelled: {
                '@id': string;
            };
            ReservationConfirmed: {
                '@id': string;
            };
            ReservationHold: {
                '@id': string;
            };
            ReservationPackage: {
                '@id': string;
            };
            ReservationPending: {
                '@id': string;
            };
            ReservationStatusType: {
                '@id': string;
            };
            ReserveAction: {
                '@id': string;
            };
            Reservoir: {
                '@id': string;
            };
            Residence: {
                '@id': string;
            };
            Resort: {
                '@id': string;
            };
            RespiratoryTherapy: {
                '@id': string;
            };
            Restaurant: {
                '@id': string;
            };
            RestockingFees: {
                '@id': string;
            };
            RestrictedDiet: {
                '@id': string;
            };
            ResultsAvailable: {
                '@id': string;
            };
            ResultsNotAvailable: {
                '@id': string;
            };
            ResumeAction: {
                '@id': string;
            };
            Retail: {
                '@id': string;
            };
            ReturnAction: {
                '@id': string;
            };
            ReturnFeesEnumeration: {
                '@id': string;
            };
            ReturnShippingFees: {
                '@id': string;
            };
            Review: {
                '@id': string;
            };
            ReviewAction: {
                '@id': string;
            };
            ReviewNewsArticle: {
                '@id': string;
            };
            Rheumatologic: {
                '@id': string;
            };
            RightHandDriving: {
                '@id': string;
            };
            RisksOrComplicationsHealthAspect: {
                '@id': string;
            };
            RiverBodyOfWater: {
                '@id': string;
            };
            Role: {
                '@id': string;
            };
            RoofingContractor: {
                '@id': string;
            };
            Room: {
                '@id': string;
            };
            RsvpAction: {
                '@id': string;
            };
            RsvpResponseMaybe: {
                '@id': string;
            };
            RsvpResponseNo: {
                '@id': string;
            };
            RsvpResponseType: {
                '@id': string;
            };
            RsvpResponseYes: {
                '@id': string;
            };
            SRP: {
                '@id': string;
            };
            SafetyHealthAspect: {
                '@id': string;
            };
            SaleEvent: {
                '@id': string;
            };
            SalePrice: {
                '@id': string;
            };
            SatireOrParodyContent: {
                '@id': string;
            };
            SatiricalArticle: {
                '@id': string;
            };
            Saturday: {
                '@id': string;
            };
            Schedule: {
                '@id': string;
            };
            ScheduleAction: {
                '@id': string;
            };
            ScholarlyArticle: {
                '@id': string;
            };
            School: {
                '@id': string;
            };
            SchoolDistrict: {
                '@id': string;
            };
            ScreeningEvent: {
                '@id': string;
            };
            ScreeningHealthAspect: {
                '@id': string;
            };
            Sculpture: {
                '@id': string;
            };
            SeaBodyOfWater: {
                '@id': string;
            };
            SearchAction: {
                '@id': string;
            };
            SearchResultsPage: {
                '@id': string;
            };
            Season: {
                '@id': string;
            };
            Seat: {
                '@id': string;
            };
            SeatingMap: {
                '@id': string;
            };
            SeeDoctorHealthAspect: {
                '@id': string;
            };
            SeekToAction: {
                '@id': string;
            };
            SelfCareHealthAspect: {
                '@id': string;
            };
            SelfStorage: {
                '@id': string;
            };
            SellAction: {
                '@id': string;
            };
            SendAction: {
                '@id': string;
            };
            Series: {
                '@id': string;
            };
            Service: {
                '@id': string;
            };
            ServiceChannel: {
                '@id': string;
            };
            ShareAction: {
                '@id': string;
            };
            SheetMusic: {
                '@id': string;
            };
            ShippingDeliveryTime: {
                '@id': string;
            };
            ShippingRateSettings: {
                '@id': string;
            };
            ShoeStore: {
                '@id': string;
            };
            ShoppingCenter: {
                '@id': string;
            };
            ShortStory: {
                '@id': string;
            };
            SideEffectsHealthAspect: {
                '@id': string;
            };
            SingleBlindedTrial: {
                '@id': string;
            };
            SingleCenterTrial: {
                '@id': string;
            };
            SingleFamilyResidence: {
                '@id': string;
            };
            SinglePlayer: {
                '@id': string;
            };
            SingleRelease: {
                '@id': string;
            };
            SiteNavigationElement: {
                '@id': string;
            };
            SizeGroupEnumeration: {
                '@id': string;
            };
            SizeSpecification: {
                '@id': string;
            };
            SizeSystemEnumeration: {
                '@id': string;
            };
            SizeSystemImperial: {
                '@id': string;
            };
            SizeSystemMetric: {
                '@id': string;
            };
            SkiResort: {
                '@id': string;
            };
            Skin: {
                '@id': string;
            };
            SocialEvent: {
                '@id': string;
            };
            SocialMediaPosting: {
                '@id': string;
            };
            SoftwareApplication: {
                '@id': string;
            };
            SoftwareSourceCode: {
                '@id': string;
            };
            SoldOut: {
                '@id': string;
            };
            SolveMathAction: {
                '@id': string;
            };
            SomeProducts: {
                '@id': string;
            };
            SoundtrackAlbum: {
                '@id': string;
            };
            SpeakableSpecification: {
                '@id': string;
            };
            SpecialAnnouncement: {
                '@id': string;
            };
            Specialty: {
                '@id': string;
            };
            SpeechPathology: {
                '@id': string;
            };
            SpokenWordAlbum: {
                '@id': string;
            };
            SportingGoodsStore: {
                '@id': string;
            };
            SportsActivityLocation: {
                '@id': string;
            };
            SportsClub: {
                '@id': string;
            };
            SportsEvent: {
                '@id': string;
            };
            SportsOrganization: {
                '@id': string;
            };
            SportsTeam: {
                '@id': string;
            };
            SpreadsheetDigitalDocument: {
                '@id': string;
            };
            StadiumOrArena: {
                '@id': string;
            };
            StagedContent: {
                '@id': string;
            };
            StagesHealthAspect: {
                '@id': string;
            };
            State: {
                '@id': string;
            };
            StatisticalPopulation: {
                '@id': string;
            };
            StatusEnumeration: {
                '@id': string;
            };
            SteeringPositionValue: {
                '@id': string;
            };
            Store: {
                '@id': string;
            };
            StoreCreditRefund: {
                '@id': string;
            };
            StrengthTraining: {
                '@id': string;
            };
            StructuredValue: {
                '@id': string;
            };
            StudioAlbum: {
                '@id': string;
            };
            StupidType: {
                '@id': string;
            };
            SubscribeAction: {
                '@id': string;
            };
            Subscription: {
                '@id': string;
            };
            Substance: {
                '@id': string;
            };
            SubwayStation: {
                '@id': string;
            };
            Suite: {
                '@id': string;
            };
            Sunday: {
                '@id': string;
            };
            SuperficialAnatomy: {
                '@id': string;
            };
            Surgical: {
                '@id': string;
            };
            SurgicalProcedure: {
                '@id': string;
            };
            SuspendAction: {
                '@id': string;
            };
            Suspended: {
                '@id': string;
            };
            SymptomsHealthAspect: {
                '@id': string;
            };
            Synagogue: {
                '@id': string;
            };
            TVClip: {
                '@id': string;
            };
            TVEpisode: {
                '@id': string;
            };
            TVSeason: {
                '@id': string;
            };
            TVSeries: {
                '@id': string;
            };
            Table: {
                '@id': string;
            };
            TakeAction: {
                '@id': string;
            };
            TattooParlor: {
                '@id': string;
            };
            Taxi: {
                '@id': string;
            };
            TaxiReservation: {
                '@id': string;
            };
            TaxiService: {
                '@id': string;
            };
            TaxiStand: {
                '@id': string;
            };
            TaxiVehicleUsage: {
                '@id': string;
            };
            TechArticle: {
                '@id': string;
            };
            TelevisionChannel: {
                '@id': string;
            };
            TelevisionStation: {
                '@id': string;
            };
            TennisComplex: {
                '@id': string;
            };
            Terminated: {
                '@id': string;
            };
            Text: {
                '@id': string;
            };
            TextDigitalDocument: {
                '@id': string;
            };
            TheaterEvent: {
                '@id': string;
            };
            TheaterGroup: {
                '@id': string;
            };
            Therapeutic: {
                '@id': string;
            };
            TherapeuticProcedure: {
                '@id': string;
            };
            Thesis: {
                '@id': string;
            };
            Thing: {
                '@id': string;
            };
            Throat: {
                '@id': string;
            };
            Thursday: {
                '@id': string;
            };
            Ticket: {
                '@id': string;
            };
            TieAction: {
                '@id': string;
            };
            Time: {
                '@id': string;
            };
            TipAction: {
                '@id': string;
            };
            TireShop: {
                '@id': string;
            };
            TollFree: {
                '@id': string;
            };
            TouristAttraction: {
                '@id': string;
            };
            TouristDestination: {
                '@id': string;
            };
            TouristInformationCenter: {
                '@id': string;
            };
            TouristTrip: {
                '@id': string;
            };
            Toxicologic: {
                '@id': string;
            };
            ToyStore: {
                '@id': string;
            };
            TrackAction: {
                '@id': string;
            };
            TradeAction: {
                '@id': string;
            };
            TraditionalChinese: {
                '@id': string;
            };
            TrainReservation: {
                '@id': string;
            };
            TrainStation: {
                '@id': string;
            };
            TrainTrip: {
                '@id': string;
            };
            TransferAction: {
                '@id': string;
            };
            TransformedContent: {
                '@id': string;
            };
            TransitMap: {
                '@id': string;
            };
            TravelAction: {
                '@id': string;
            };
            TravelAgency: {
                '@id': string;
            };
            TreatmentIndication: {
                '@id': string;
            };
            TreatmentsHealthAspect: {
                '@id': string;
            };
            Trip: {
                '@id': string;
            };
            TripleBlindedTrial: {
                '@id': string;
            };
            True: {
                '@id': string;
            };
            Tuesday: {
                '@id': string;
            };
            TypeAndQuantityNode: {
                '@id': string;
            };
            TypesHealthAspect: {
                '@id': string;
            };
            UKNonprofitType: {
                '@id': string;
            };
            UKTrust: {
                '@id': string;
            };
            URL: {
                '@id': string;
            };
            USNonprofitType: {
                '@id': string;
            };
            Ultrasound: {
                '@id': string;
            };
            UnRegisterAction: {
                '@id': string;
            };
            UnemploymentSupport: {
                '@id': string;
            };
            UnincorporatedAssociationCharity: {
                '@id': string;
            };
            UnitPriceSpecification: {
                '@id': string;
            };
            UnofficialLegalValue: {
                '@id': string;
            };
            UpdateAction: {
                '@id': string;
            };
            Urologic: {
                '@id': string;
            };
            UsageOrScheduleHealthAspect: {
                '@id': string;
            };
            UseAction: {
                '@id': string;
            };
            UsedCondition: {
                '@id': string;
            };
            UserBlocks: {
                '@id': string;
            };
            UserCheckins: {
                '@id': string;
            };
            UserComments: {
                '@id': string;
            };
            UserDownloads: {
                '@id': string;
            };
            UserInteraction: {
                '@id': string;
            };
            UserLikes: {
                '@id': string;
            };
            UserPageVisits: {
                '@id': string;
            };
            UserPlays: {
                '@id': string;
            };
            UserPlusOnes: {
                '@id': string;
            };
            UserReview: {
                '@id': string;
            };
            UserTweets: {
                '@id': string;
            };
            VeganDiet: {
                '@id': string;
            };
            VegetarianDiet: {
                '@id': string;
            };
            Vehicle: {
                '@id': string;
            };
            Vein: {
                '@id': string;
            };
            VenueMap: {
                '@id': string;
            };
            Vessel: {
                '@id': string;
            };
            VeterinaryCare: {
                '@id': string;
            };
            VideoGallery: {
                '@id': string;
            };
            VideoGame: {
                '@id': string;
            };
            VideoGameClip: {
                '@id': string;
            };
            VideoGameSeries: {
                '@id': string;
            };
            VideoObject: {
                '@id': string;
            };
            ViewAction: {
                '@id': string;
            };
            VinylFormat: {
                '@id': string;
            };
            VirtualLocation: {
                '@id': string;
            };
            Virus: {
                '@id': string;
            };
            VisualArtsEvent: {
                '@id': string;
            };
            VisualArtwork: {
                '@id': string;
            };
            VitalSign: {
                '@id': string;
            };
            Volcano: {
                '@id': string;
            };
            VoteAction: {
                '@id': string;
            };
            WPAdBlock: {
                '@id': string;
            };
            WPFooter: {
                '@id': string;
            };
            WPHeader: {
                '@id': string;
            };
            WPSideBar: {
                '@id': string;
            };
            WantAction: {
                '@id': string;
            };
            WarrantyPromise: {
                '@id': string;
            };
            WarrantyScope: {
                '@id': string;
            };
            WatchAction: {
                '@id': string;
            };
            Waterfall: {
                '@id': string;
            };
            WearAction: {
                '@id': string;
            };
            WearableMeasurementBack: {
                '@id': string;
            };
            WearableMeasurementChestOrBust: {
                '@id': string;
            };
            WearableMeasurementCollar: {
                '@id': string;
            };
            WearableMeasurementCup: {
                '@id': string;
            };
            WearableMeasurementHeight: {
                '@id': string;
            };
            WearableMeasurementHips: {
                '@id': string;
            };
            WearableMeasurementInseam: {
                '@id': string;
            };
            WearableMeasurementLength: {
                '@id': string;
            };
            WearableMeasurementOutsideLeg: {
                '@id': string;
            };
            WearableMeasurementSleeve: {
                '@id': string;
            };
            WearableMeasurementTypeEnumeration: {
                '@id': string;
            };
            WearableMeasurementWaist: {
                '@id': string;
            };
            WearableMeasurementWidth: {
                '@id': string;
            };
            WearableSizeGroupBig: {
                '@id': string;
            };
            WearableSizeGroupBoys: {
                '@id': string;
            };
            WearableSizeGroupEnumeration: {
                '@id': string;
            };
            WearableSizeGroupExtraShort: {
                '@id': string;
            };
            WearableSizeGroupExtraTall: {
                '@id': string;
            };
            WearableSizeGroupGirls: {
                '@id': string;
            };
            WearableSizeGroupHusky: {
                '@id': string;
            };
            WearableSizeGroupInfants: {
                '@id': string;
            };
            WearableSizeGroupJuniors: {
                '@id': string;
            };
            WearableSizeGroupMaternity: {
                '@id': string;
            };
            WearableSizeGroupMens: {
                '@id': string;
            };
            WearableSizeGroupMisses: {
                '@id': string;
            };
            WearableSizeGroupPetite: {
                '@id': string;
            };
            WearableSizeGroupPlus: {
                '@id': string;
            };
            WearableSizeGroupRegular: {
                '@id': string;
            };
            WearableSizeGroupShort: {
                '@id': string;
            };
            WearableSizeGroupTall: {
                '@id': string;
            };
            WearableSizeGroupWomens: {
                '@id': string;
            };
            WearableSizeSystemAU: {
                '@id': string;
            };
            WearableSizeSystemBR: {
                '@id': string;
            };
            WearableSizeSystemCN: {
                '@id': string;
            };
            WearableSizeSystemContinental: {
                '@id': string;
            };
            WearableSizeSystemDE: {
                '@id': string;
            };
            WearableSizeSystemEN13402: {
                '@id': string;
            };
            WearableSizeSystemEnumeration: {
                '@id': string;
            };
            WearableSizeSystemEurope: {
                '@id': string;
            };
            WearableSizeSystemFR: {
                '@id': string;
            };
            WearableSizeSystemGS1: {
                '@id': string;
            };
            WearableSizeSystemIT: {
                '@id': string;
            };
            WearableSizeSystemJP: {
                '@id': string;
            };
            WearableSizeSystemMX: {
                '@id': string;
            };
            WearableSizeSystemUK: {
                '@id': string;
            };
            WearableSizeSystemUS: {
                '@id': string;
            };
            WebAPI: {
                '@id': string;
            };
            WebApplication: {
                '@id': string;
            };
            WebContent: {
                '@id': string;
            };
            WebPage: {
                '@id': string;
            };
            WebPageElement: {
                '@id': string;
            };
            WebSite: {
                '@id': string;
            };
            Wednesday: {
                '@id': string;
            };
            WesternConventional: {
                '@id': string;
            };
            Wholesale: {
                '@id': string;
            };
            WholesaleStore: {
                '@id': string;
            };
            WinAction: {
                '@id': string;
            };
            Winery: {
                '@id': string;
            };
            Withdrawn: {
                '@id': string;
            };
            WorkBasedProgram: {
                '@id': string;
            };
            WorkersUnion: {
                '@id': string;
            };
            WriteAction: {
                '@id': string;
            };
            WritePermission: {
                '@id': string;
            };
            XPathType: {
                '@id': string;
            };
            XRay: {
                '@id': string;
            };
            ZoneBoardingPolicy: {
                '@id': string;
            };
            Zoo: {
                '@id': string;
            };
            about: {
                '@id': string;
            };
            abridged: {
                '@id': string;
            };
            abstract: {
                '@id': string;
            };
            accelerationTime: {
                '@id': string;
            };
            acceptedAnswer: {
                '@id': string;
            };
            acceptedOffer: {
                '@id': string;
            };
            acceptedPaymentMethod: {
                '@id': string;
            };
            acceptsReservations: {
                '@id': string;
            };
            accessCode: {
                '@id': string;
            };
            accessMode: {
                '@id': string;
            };
            accessModeSufficient: {
                '@id': string;
            };
            accessibilityAPI: {
                '@id': string;
            };
            accessibilityControl: {
                '@id': string;
            };
            accessibilityFeature: {
                '@id': string;
            };
            accessibilityHazard: {
                '@id': string;
            };
            accessibilitySummary: {
                '@id': string;
            };
            accommodationCategory: {
                '@id': string;
            };
            accommodationFloorPlan: {
                '@id': string;
            };
            accountId: {
                '@id': string;
            };
            accountMinimumInflow: {
                '@id': string;
            };
            accountOverdraftLimit: {
                '@id': string;
            };
            accountablePerson: {
                '@id': string;
            };
            acquireLicensePage: {
                '@id': string;
                '@type': string;
            };
            acquiredFrom: {
                '@id': string;
            };
            acrissCode: {
                '@id': string;
            };
            actionAccessibilityRequirement: {
                '@id': string;
            };
            actionApplication: {
                '@id': string;
            };
            actionOption: {
                '@id': string;
            };
            actionPlatform: {
                '@id': string;
            };
            actionStatus: {
                '@id': string;
            };
            actionableFeedbackPolicy: {
                '@id': string;
                '@type': string;
            };
            activeIngredient: {
                '@id': string;
            };
            activityDuration: {
                '@id': string;
            };
            activityFrequency: {
                '@id': string;
            };
            actor: {
                '@id': string;
            };
            actors: {
                '@id': string;
            };
            addOn: {
                '@id': string;
            };
            additionalName: {
                '@id': string;
            };
            additionalNumberOfGuests: {
                '@id': string;
            };
            additionalProperty: {
                '@id': string;
            };
            additionalType: {
                '@id': string;
                '@type': string;
            };
            additionalVariable: {
                '@id': string;
            };
            address: {
                '@id': string;
            };
            addressCountry: {
                '@id': string;
            };
            addressLocality: {
                '@id': string;
            };
            addressRegion: {
                '@id': string;
            };
            administrationRoute: {
                '@id': string;
            };
            advanceBookingRequirement: {
                '@id': string;
            };
            adverseOutcome: {
                '@id': string;
            };
            affectedBy: {
                '@id': string;
            };
            affiliation: {
                '@id': string;
            };
            afterMedia: {
                '@id': string;
                '@type': string;
            };
            agent: {
                '@id': string;
            };
            aggregateRating: {
                '@id': string;
            };
            aircraft: {
                '@id': string;
            };
            album: {
                '@id': string;
            };
            albumProductionType: {
                '@id': string;
            };
            albumRelease: {
                '@id': string;
            };
            albumReleaseType: {
                '@id': string;
            };
            albums: {
                '@id': string;
            };
            alcoholWarning: {
                '@id': string;
            };
            algorithm: {
                '@id': string;
            };
            alignmentType: {
                '@id': string;
            };
            alternateName: {
                '@id': string;
            };
            alternativeHeadline: {
                '@id': string;
            };
            alumni: {
                '@id': string;
            };
            alumniOf: {
                '@id': string;
            };
            amenityFeature: {
                '@id': string;
            };
            amount: {
                '@id': string;
            };
            amountOfThisGood: {
                '@id': string;
            };
            announcementLocation: {
                '@id': string;
            };
            annualPercentageRate: {
                '@id': string;
            };
            answerCount: {
                '@id': string;
            };
            answerExplanation: {
                '@id': string;
            };
            antagonist: {
                '@id': string;
            };
            appearance: {
                '@id': string;
            };
            applicableLocation: {
                '@id': string;
            };
            applicantLocationRequirements: {
                '@id': string;
            };
            application: {
                '@id': string;
            };
            applicationCategory: {
                '@id': string;
            };
            applicationContact: {
                '@id': string;
            };
            applicationDeadline: {
                '@id': string;
                '@type': string;
            };
            applicationStartDate: {
                '@id': string;
                '@type': string;
            };
            applicationSubCategory: {
                '@id': string;
            };
            applicationSuite: {
                '@id': string;
            };
            appliesToDeliveryMethod: {
                '@id': string;
            };
            appliesToPaymentMethod: {
                '@id': string;
            };
            archiveHeld: {
                '@id': string;
            };
            area: {
                '@id': string;
            };
            areaServed: {
                '@id': string;
            };
            arrivalAirport: {
                '@id': string;
            };
            arrivalBoatTerminal: {
                '@id': string;
            };
            arrivalBusStop: {
                '@id': string;
            };
            arrivalGate: {
                '@id': string;
            };
            arrivalPlatform: {
                '@id': string;
            };
            arrivalStation: {
                '@id': string;
            };
            arrivalTerminal: {
                '@id': string;
            };
            arrivalTime: {
                '@id': string;
            };
            artEdition: {
                '@id': string;
            };
            artMedium: {
                '@id': string;
            };
            arterialBranch: {
                '@id': string;
            };
            artform: {
                '@id': string;
            };
            articleBody: {
                '@id': string;
            };
            articleSection: {
                '@id': string;
            };
            artist: {
                '@id': string;
            };
            artworkSurface: {
                '@id': string;
            };
            aspect: {
                '@id': string;
            };
            assembly: {
                '@id': string;
            };
            assemblyVersion: {
                '@id': string;
            };
            assesses: {
                '@id': string;
            };
            associatedAnatomy: {
                '@id': string;
            };
            associatedArticle: {
                '@id': string;
            };
            associatedMedia: {
                '@id': string;
            };
            associatedPathophysiology: {
                '@id': string;
            };
            athlete: {
                '@id': string;
            };
            attendee: {
                '@id': string;
            };
            attendees: {
                '@id': string;
            };
            audience: {
                '@id': string;
            };
            audienceType: {
                '@id': string;
            };
            audio: {
                '@id': string;
            };
            authenticator: {
                '@id': string;
            };
            author: {
                '@id': string;
            };
            availability: {
                '@id': string;
            };
            availabilityEnds: {
                '@id': string;
                '@type': string;
            };
            availabilityStarts: {
                '@id': string;
                '@type': string;
            };
            availableAtOrFrom: {
                '@id': string;
            };
            availableChannel: {
                '@id': string;
            };
            availableDeliveryMethod: {
                '@id': string;
            };
            availableFrom: {
                '@id': string;
            };
            availableIn: {
                '@id': string;
            };
            availableLanguage: {
                '@id': string;
            };
            availableOnDevice: {
                '@id': string;
            };
            availableService: {
                '@id': string;
            };
            availableStrength: {
                '@id': string;
            };
            availableTest: {
                '@id': string;
            };
            availableThrough: {
                '@id': string;
            };
            award: {
                '@id': string;
            };
            awards: {
                '@id': string;
            };
            awayTeam: {
                '@id': string;
            };
            backstory: {
                '@id': string;
            };
            bankAccountType: {
                '@id': string;
            };
            baseSalary: {
                '@id': string;
            };
            bccRecipient: {
                '@id': string;
            };
            bed: {
                '@id': string;
            };
            beforeMedia: {
                '@id': string;
                '@type': string;
            };
            beneficiaryBank: {
                '@id': string;
            };
            benefits: {
                '@id': string;
            };
            benefitsSummaryUrl: {
                '@id': string;
                '@type': string;
            };
            bestRating: {
                '@id': string;
            };
            billingAddress: {
                '@id': string;
            };
            billingDuration: {
                '@id': string;
            };
            billingIncrement: {
                '@id': string;
            };
            billingPeriod: {
                '@id': string;
            };
            billingStart: {
                '@id': string;
            };
            biomechnicalClass: {
                '@id': string;
            };
            birthDate: {
                '@id': string;
                '@type': string;
            };
            birthPlace: {
                '@id': string;
            };
            bitrate: {
                '@id': string;
            };
            blogPost: {
                '@id': string;
            };
            blogPosts: {
                '@id': string;
            };
            bloodSupply: {
                '@id': string;
            };
            boardingGroup: {
                '@id': string;
            };
            boardingPolicy: {
                '@id': string;
            };
            bodyLocation: {
                '@id': string;
            };
            bodyType: {
                '@id': string;
            };
            bookEdition: {
                '@id': string;
            };
            bookFormat: {
                '@id': string;
            };
            bookingAgent: {
                '@id': string;
            };
            bookingTime: {
                '@id': string;
            };
            borrower: {
                '@id': string;
            };
            box: {
                '@id': string;
            };
            branch: {
                '@id': string;
            };
            branchCode: {
                '@id': string;
            };
            branchOf: {
                '@id': string;
            };
            brand: {
                '@id': string;
            };
            breadcrumb: {
                '@id': string;
            };
            breastfeedingWarning: {
                '@id': string;
            };
            broadcastAffiliateOf: {
                '@id': string;
            };
            broadcastChannelId: {
                '@id': string;
            };
            broadcastDisplayName: {
                '@id': string;
            };
            broadcastFrequency: {
                '@id': string;
            };
            broadcastFrequencyValue: {
                '@id': string;
            };
            broadcastOfEvent: {
                '@id': string;
            };
            broadcastServiceTier: {
                '@id': string;
            };
            broadcastSignalModulation: {
                '@id': string;
            };
            broadcastSubChannel: {
                '@id': string;
            };
            broadcastTimezone: {
                '@id': string;
            };
            broadcaster: {
                '@id': string;
            };
            broker: {
                '@id': string;
            };
            browserRequirements: {
                '@id': string;
            };
            busName: {
                '@id': string;
            };
            busNumber: {
                '@id': string;
            };
            businessDays: {
                '@id': string;
            };
            businessFunction: {
                '@id': string;
            };
            buyer: {
                '@id': string;
            };
            byArtist: {
                '@id': string;
            };
            byDay: {
                '@id': string;
            };
            byMonth: {
                '@id': string;
            };
            byMonthDay: {
                '@id': string;
            };
            byMonthWeek: {
                '@id': string;
            };
            callSign: {
                '@id': string;
            };
            calories: {
                '@id': string;
            };
            candidate: {
                '@id': string;
            };
            caption: {
                '@id': string;
            };
            carbohydrateContent: {
                '@id': string;
            };
            cargoVolume: {
                '@id': string;
            };
            carrier: {
                '@id': string;
            };
            carrierRequirements: {
                '@id': string;
            };
            cashBack: {
                '@id': string;
            };
            catalog: {
                '@id': string;
            };
            catalogNumber: {
                '@id': string;
            };
            category: {
                '@id': string;
            };
            causeOf: {
                '@id': string;
            };
            ccRecipient: {
                '@id': string;
            };
            character: {
                '@id': string;
            };
            characterAttribute: {
                '@id': string;
            };
            characterName: {
                '@id': string;
            };
            cheatCode: {
                '@id': string;
            };
            checkinTime: {
                '@id': string;
            };
            checkoutTime: {
                '@id': string;
            };
            childMaxAge: {
                '@id': string;
            };
            childMinAge: {
                '@id': string;
            };
            children: {
                '@id': string;
            };
            cholesterolContent: {
                '@id': string;
            };
            circle: {
                '@id': string;
            };
            citation: {
                '@id': string;
            };
            claimReviewed: {
                '@id': string;
            };
            clincalPharmacology: {
                '@id': string;
            };
            clinicalPharmacology: {
                '@id': string;
            };
            clipNumber: {
                '@id': string;
            };
            closes: {
                '@id': string;
            };
            coach: {
                '@id': string;
            };
            code: {
                '@id': string;
            };
            codeRepository: {
                '@id': string;
                '@type': string;
            };
            codeSampleType: {
                '@id': string;
            };
            codeValue: {
                '@id': string;
            };
            codingSystem: {
                '@id': string;
            };
            colleague: {
                '@id': string;
                '@type': string;
            };
            colleagues: {
                '@id': string;
            };
            collection: {
                '@id': string;
            };
            collectionSize: {
                '@id': string;
            };
            color: {
                '@id': string;
            };
            colorist: {
                '@id': string;
            };
            comment: {
                '@id': string;
            };
            commentCount: {
                '@id': string;
            };
            commentText: {
                '@id': string;
            };
            commentTime: {
                '@id': string;
                '@type': string;
            };
            competencyRequired: {
                '@id': string;
            };
            competitor: {
                '@id': string;
            };
            composer: {
                '@id': string;
            };
            comprisedOf: {
                '@id': string;
            };
            conditionsOfAccess: {
                '@id': string;
            };
            confirmationNumber: {
                '@id': string;
            };
            connectedTo: {
                '@id': string;
            };
            constrainingProperty: {
                '@id': string;
            };
            contactOption: {
                '@id': string;
            };
            contactPoint: {
                '@id': string;
            };
            contactPoints: {
                '@id': string;
            };
            contactType: {
                '@id': string;
            };
            contactlessPayment: {
                '@id': string;
            };
            containedIn: {
                '@id': string;
            };
            containedInPlace: {
                '@id': string;
            };
            containsPlace: {
                '@id': string;
            };
            containsSeason: {
                '@id': string;
            };
            contentLocation: {
                '@id': string;
            };
            contentRating: {
                '@id': string;
            };
            contentReferenceTime: {
                '@id': string;
            };
            contentSize: {
                '@id': string;
            };
            contentType: {
                '@id': string;
            };
            contentUrl: {
                '@id': string;
                '@type': string;
            };
            contraindication: {
                '@id': string;
            };
            contributor: {
                '@id': string;
            };
            cookTime: {
                '@id': string;
            };
            cookingMethod: {
                '@id': string;
            };
            copyrightHolder: {
                '@id': string;
            };
            copyrightNotice: {
                '@id': string;
            };
            copyrightYear: {
                '@id': string;
            };
            correction: {
                '@id': string;
            };
            correctionsPolicy: {
                '@id': string;
                '@type': string;
            };
            costCategory: {
                '@id': string;
            };
            costCurrency: {
                '@id': string;
            };
            costOrigin: {
                '@id': string;
            };
            costPerUnit: {
                '@id': string;
            };
            countriesNotSupported: {
                '@id': string;
            };
            countriesSupported: {
                '@id': string;
            };
            countryOfOrigin: {
                '@id': string;
            };
            course: {
                '@id': string;
            };
            courseCode: {
                '@id': string;
            };
            courseMode: {
                '@id': string;
            };
            coursePrerequisites: {
                '@id': string;
            };
            courseWorkload: {
                '@id': string;
            };
            coverageEndTime: {
                '@id': string;
            };
            coverageStartTime: {
                '@id': string;
            };
            creativeWorkStatus: {
                '@id': string;
            };
            creator: {
                '@id': string;
            };
            credentialCategory: {
                '@id': string;
            };
            creditText: {
                '@id': string;
            };
            creditedTo: {
                '@id': string;
            };
            cssSelector: {
                '@id': string;
            };
            currenciesAccepted: {
                '@id': string;
            };
            currency: {
                '@id': string;
            };
            currentExchangeRate: {
                '@id': string;
            };
            customer: {
                '@id': string;
            };
            cutoffTime: {
                '@id': string;
            };
            cvdCollectionDate: {
                '@id': string;
            };
            cvdFacilityCounty: {
                '@id': string;
            };
            cvdFacilityId: {
                '@id': string;
            };
            cvdNumBeds: {
                '@id': string;
            };
            cvdNumBedsOcc: {
                '@id': string;
            };
            cvdNumC19Died: {
                '@id': string;
            };
            cvdNumC19HOPats: {
                '@id': string;
            };
            cvdNumC19HospPats: {
                '@id': string;
            };
            cvdNumC19MechVentPats: {
                '@id': string;
            };
            cvdNumC19OFMechVentPats: {
                '@id': string;
            };
            cvdNumC19OverflowPats: {
                '@id': string;
            };
            cvdNumICUBeds: {
                '@id': string;
            };
            cvdNumICUBedsOcc: {
                '@id': string;
            };
            cvdNumTotBeds: {
                '@id': string;
            };
            cvdNumVent: {
                '@id': string;
            };
            cvdNumVentUse: {
                '@id': string;
            };
            dataFeedElement: {
                '@id': string;
            };
            dataset: {
                '@id': string;
            };
            datasetTimeInterval: {
                '@id': string;
            };
            dateCreated: {
                '@id': string;
                '@type': string;
            };
            dateDeleted: {
                '@id': string;
                '@type': string;
            };
            dateIssued: {
                '@id': string;
                '@type': string;
            };
            dateModified: {
                '@id': string;
                '@type': string;
            };
            datePosted: {
                '@id': string;
                '@type': string;
            };
            datePublished: {
                '@id': string;
                '@type': string;
            };
            dateRead: {
                '@id': string;
                '@type': string;
            };
            dateReceived: {
                '@id': string;
            };
            dateSent: {
                '@id': string;
            };
            dateVehicleFirstRegistered: {
                '@id': string;
                '@type': string;
            };
            dateline: {
                '@id': string;
            };
            dayOfWeek: {
                '@id': string;
            };
            deathDate: {
                '@id': string;
                '@type': string;
            };
            deathPlace: {
                '@id': string;
            };
            defaultValue: {
                '@id': string;
            };
            deliveryAddress: {
                '@id': string;
            };
            deliveryLeadTime: {
                '@id': string;
            };
            deliveryMethod: {
                '@id': string;
            };
            deliveryStatus: {
                '@id': string;
            };
            deliveryTime: {
                '@id': string;
            };
            department: {
                '@id': string;
            };
            departureAirport: {
                '@id': string;
            };
            departureBoatTerminal: {
                '@id': string;
            };
            departureBusStop: {
                '@id': string;
            };
            departureGate: {
                '@id': string;
            };
            departurePlatform: {
                '@id': string;
            };
            departureStation: {
                '@id': string;
            };
            departureTerminal: {
                '@id': string;
            };
            departureTime: {
                '@id': string;
            };
            dependencies: {
                '@id': string;
            };
            depth: {
                '@id': string;
            };
            description: {
                '@id': string;
            };
            device: {
                '@id': string;
            };
            diagnosis: {
                '@id': string;
            };
            diagram: {
                '@id': string;
            };
            diet: {
                '@id': string;
            };
            dietFeatures: {
                '@id': string;
            };
            differentialDiagnosis: {
                '@id': string;
            };
            director: {
                '@id': string;
            };
            directors: {
                '@id': string;
            };
            disambiguatingDescription: {
                '@id': string;
            };
            discount: {
                '@id': string;
            };
            discountCode: {
                '@id': string;
            };
            discountCurrency: {
                '@id': string;
            };
            discusses: {
                '@id': string;
            };
            discussionUrl: {
                '@id': string;
                '@type': string;
            };
            diseasePreventionInfo: {
                '@id': string;
                '@type': string;
            };
            diseaseSpreadStatistics: {
                '@id': string;
                '@type': string;
            };
            dissolutionDate: {
                '@id': string;
                '@type': string;
            };
            distance: {
                '@id': string;
            };
            distinguishingSign: {
                '@id': string;
            };
            distribution: {
                '@id': string;
            };
            diversityPolicy: {
                '@id': string;
                '@type': string;
            };
            diversityStaffingReport: {
                '@id': string;
                '@type': string;
            };
            documentation: {
                '@id': string;
                '@type': string;
            };
            doesNotShip: {
                '@id': string;
            };
            domainIncludes: {
                '@id': string;
            };
            domiciledMortgage: {
                '@id': string;
            };
            doorTime: {
                '@id': string;
            };
            dosageForm: {
                '@id': string;
            };
            doseSchedule: {
                '@id': string;
            };
            doseUnit: {
                '@id': string;
            };
            doseValue: {
                '@id': string;
            };
            downPayment: {
                '@id': string;
            };
            downloadUrl: {
                '@id': string;
                '@type': string;
            };
            downvoteCount: {
                '@id': string;
            };
            drainsTo: {
                '@id': string;
            };
            driveWheelConfiguration: {
                '@id': string;
            };
            dropoffLocation: {
                '@id': string;
            };
            dropoffTime: {
                '@id': string;
            };
            drug: {
                '@id': string;
            };
            drugClass: {
                '@id': string;
            };
            drugUnit: {
                '@id': string;
            };
            duns: {
                '@id': string;
            };
            duplicateTherapy: {
                '@id': string;
            };
            duration: {
                '@id': string;
            };
            durationOfWarranty: {
                '@id': string;
            };
            duringMedia: {
                '@id': string;
                '@type': string;
            };
            earlyPrepaymentPenalty: {
                '@id': string;
            };
            editEIDR: {
                '@id': string;
            };
            editor: {
                '@id': string;
            };
            eduQuestionType: {
                '@id': string;
            };
            educationRequirements: {
                '@id': string;
            };
            educationalAlignment: {
                '@id': string;
            };
            educationalCredentialAwarded: {
                '@id': string;
            };
            educationalFramework: {
                '@id': string;
            };
            educationalLevel: {
                '@id': string;
            };
            educationalProgramMode: {
                '@id': string;
            };
            educationalRole: {
                '@id': string;
            };
            educationalUse: {
                '@id': string;
            };
            elevation: {
                '@id': string;
            };
            eligibilityToWorkRequirement: {
                '@id': string;
            };
            eligibleCustomerType: {
                '@id': string;
            };
            eligibleDuration: {
                '@id': string;
            };
            eligibleQuantity: {
                '@id': string;
            };
            eligibleRegion: {
                '@id': string;
            };
            eligibleTransactionVolume: {
                '@id': string;
            };
            email: {
                '@id': string;
            };
            embedUrl: {
                '@id': string;
                '@type': string;
            };
            emissionsCO2: {
                '@id': string;
            };
            employee: {
                '@id': string;
            };
            employees: {
                '@id': string;
            };
            employerOverview: {
                '@id': string;
            };
            employmentType: {
                '@id': string;
            };
            employmentUnit: {
                '@id': string;
            };
            encodesCreativeWork: {
                '@id': string;
            };
            encoding: {
                '@id': string;
            };
            encodingFormat: {
                '@id': string;
            };
            encodingType: {
                '@id': string;
            };
            encodings: {
                '@id': string;
            };
            endDate: {
                '@id': string;
                '@type': string;
            };
            endOffset: {
                '@id': string;
            };
            endTime: {
                '@id': string;
            };
            endorsee: {
                '@id': string;
            };
            endorsers: {
                '@id': string;
            };
            energyEfficiencyScaleMax: {
                '@id': string;
            };
            energyEfficiencyScaleMin: {
                '@id': string;
            };
            engineDisplacement: {
                '@id': string;
            };
            enginePower: {
                '@id': string;
            };
            engineType: {
                '@id': string;
            };
            entertainmentBusiness: {
                '@id': string;
            };
            epidemiology: {
                '@id': string;
            };
            episode: {
                '@id': string;
            };
            episodeNumber: {
                '@id': string;
            };
            episodes: {
                '@id': string;
            };
            equal: {
                '@id': string;
            };
            error: {
                '@id': string;
            };
            estimatedCost: {
                '@id': string;
            };
            estimatedFlightDuration: {
                '@id': string;
            };
            estimatedSalary: {
                '@id': string;
            };
            estimatesRiskOf: {
                '@id': string;
            };
            ethicsPolicy: {
                '@id': string;
                '@type': string;
            };
            event: {
                '@id': string;
            };
            eventAttendanceMode: {
                '@id': string;
            };
            eventSchedule: {
                '@id': string;
            };
            eventStatus: {
                '@id': string;
            };
            events: {
                '@id': string;
            };
            evidenceLevel: {
                '@id': string;
            };
            evidenceOrigin: {
                '@id': string;
            };
            exampleOfWork: {
                '@id': string;
            };
            exceptDate: {
                '@id': string;
                '@type': string;
            };
            exchangeRateSpread: {
                '@id': string;
            };
            executableLibraryName: {
                '@id': string;
            };
            exerciseCourse: {
                '@id': string;
            };
            exercisePlan: {
                '@id': string;
            };
            exerciseRelatedDiet: {
                '@id': string;
            };
            exerciseType: {
                '@id': string;
            };
            exifData: {
                '@id': string;
            };
            expectedArrivalFrom: {
                '@id': string;
                '@type': string;
            };
            expectedArrivalUntil: {
                '@id': string;
                '@type': string;
            };
            expectedPrognosis: {
                '@id': string;
            };
            expectsAcceptanceOf: {
                '@id': string;
            };
            experienceInPlaceOfEducation: {
                '@id': string;
            };
            experienceRequirements: {
                '@id': string;
            };
            expertConsiderations: {
                '@id': string;
            };
            expires: {
                '@id': string;
                '@type': string;
            };
            familyName: {
                '@id': string;
            };
            fatContent: {
                '@id': string;
            };
            faxNumber: {
                '@id': string;
            };
            featureList: {
                '@id': string;
            };
            feesAndCommissionsSpecification: {
                '@id': string;
            };
            fiberContent: {
                '@id': string;
            };
            fileFormat: {
                '@id': string;
            };
            fileSize: {
                '@id': string;
            };
            financialAidEligible: {
                '@id': string;
            };
            firstAppearance: {
                '@id': string;
            };
            firstPerformance: {
                '@id': string;
            };
            flightDistance: {
                '@id': string;
            };
            flightNumber: {
                '@id': string;
            };
            floorLevel: {
                '@id': string;
            };
            floorLimit: {
                '@id': string;
            };
            floorSize: {
                '@id': string;
            };
            followee: {
                '@id': string;
            };
            follows: {
                '@id': string;
            };
            followup: {
                '@id': string;
            };
            foodEstablishment: {
                '@id': string;
            };
            foodEvent: {
                '@id': string;
            };
            foodWarning: {
                '@id': string;
            };
            founder: {
                '@id': string;
            };
            founders: {
                '@id': string;
            };
            foundingDate: {
                '@id': string;
                '@type': string;
            };
            foundingLocation: {
                '@id': string;
            };
            free: {
                '@id': string;
            };
            freeShippingThreshold: {
                '@id': string;
            };
            frequency: {
                '@id': string;
            };
            fromLocation: {
                '@id': string;
            };
            fuelCapacity: {
                '@id': string;
            };
            fuelConsumption: {
                '@id': string;
            };
            fuelEfficiency: {
                '@id': string;
            };
            fuelType: {
                '@id': string;
            };
            functionalClass: {
                '@id': string;
            };
            fundedItem: {
                '@id': string;
            };
            funder: {
                '@id': string;
            };
            game: {
                '@id': string;
            };
            gameItem: {
                '@id': string;
            };
            gameLocation: {
                '@id': string;
                '@type': string;
            };
            gamePlatform: {
                '@id': string;
            };
            gameServer: {
                '@id': string;
            };
            gameTip: {
                '@id': string;
            };
            gender: {
                '@id': string;
            };
            genre: {
                '@id': string;
            };
            geo: {
                '@id': string;
            };
            geoContains: {
                '@id': string;
            };
            geoCoveredBy: {
                '@id': string;
            };
            geoCovers: {
                '@id': string;
            };
            geoCrosses: {
                '@id': string;
            };
            geoDisjoint: {
                '@id': string;
            };
            geoEquals: {
                '@id': string;
            };
            geoIntersects: {
                '@id': string;
            };
            geoMidpoint: {
                '@id': string;
            };
            geoOverlaps: {
                '@id': string;
            };
            geoRadius: {
                '@id': string;
            };
            geoTouches: {
                '@id': string;
            };
            geoWithin: {
                '@id': string;
            };
            geographicArea: {
                '@id': string;
            };
            gettingTestedInfo: {
                '@id': string;
                '@type': string;
            };
            givenName: {
                '@id': string;
            };
            globalLocationNumber: {
                '@id': string;
            };
            governmentBenefitsInfo: {
                '@id': string;
            };
            gracePeriod: {
                '@id': string;
            };
            grantee: {
                '@id': string;
            };
            greater: {
                '@id': string;
            };
            greaterOrEqual: {
                '@id': string;
            };
            gtin: {
                '@id': string;
            };
            gtin12: {
                '@id': string;
            };
            gtin13: {
                '@id': string;
            };
            gtin14: {
                '@id': string;
            };
            gtin8: {
                '@id': string;
            };
            guideline: {
                '@id': string;
            };
            guidelineDate: {
                '@id': string;
                '@type': string;
            };
            guidelineSubject: {
                '@id': string;
            };
            handlingTime: {
                '@id': string;
            };
            hasBroadcastChannel: {
                '@id': string;
            };
            hasCategoryCode: {
                '@id': string;
            };
            hasCourse: {
                '@id': string;
            };
            hasCourseInstance: {
                '@id': string;
            };
            hasCredential: {
                '@id': string;
            };
            hasDefinedTerm: {
                '@id': string;
            };
            hasDeliveryMethod: {
                '@id': string;
            };
            hasDigitalDocumentPermission: {
                '@id': string;
            };
            hasDriveThroughService: {
                '@id': string;
            };
            hasEnergyConsumptionDetails: {
                '@id': string;
            };
            hasEnergyEfficiencyCategory: {
                '@id': string;
            };
            hasHealthAspect: {
                '@id': string;
            };
            hasMap: {
                '@id': string;
                '@type': string;
            };
            hasMeasurement: {
                '@id': string;
            };
            hasMenu: {
                '@id': string;
            };
            hasMenuItem: {
                '@id': string;
            };
            hasMenuSection: {
                '@id': string;
            };
            hasMerchantReturnPolicy: {
                '@id': string;
            };
            hasOccupation: {
                '@id': string;
            };
            hasOfferCatalog: {
                '@id': string;
            };
            hasPOS: {
                '@id': string;
            };
            hasPart: {
                '@id': string;
            };
            hasProductReturnPolicy: {
                '@id': string;
            };
            hasVariant: {
                '@id': string;
            };
            headline: {
                '@id': string;
            };
            healthCondition: {
                '@id': string;
            };
            healthPlanCoinsuranceOption: {
                '@id': string;
            };
            healthPlanCoinsuranceRate: {
                '@id': string;
            };
            healthPlanCopay: {
                '@id': string;
            };
            healthPlanCopayOption: {
                '@id': string;
            };
            healthPlanCostSharing: {
                '@id': string;
            };
            healthPlanDrugOption: {
                '@id': string;
            };
            healthPlanDrugTier: {
                '@id': string;
            };
            healthPlanId: {
                '@id': string;
            };
            healthPlanMarketingUrl: {
                '@id': string;
                '@type': string;
            };
            healthPlanNetworkId: {
                '@id': string;
            };
            healthPlanNetworkTier: {
                '@id': string;
            };
            healthPlanPharmacyCategory: {
                '@id': string;
            };
            healthcareReportingData: {
                '@id': string;
            };
            height: {
                '@id': string;
            };
            highPrice: {
                '@id': string;
            };
            hiringOrganization: {
                '@id': string;
            };
            holdingArchive: {
                '@id': string;
            };
            homeLocation: {
                '@id': string;
            };
            homeTeam: {
                '@id': string;
            };
            honorificPrefix: {
                '@id': string;
            };
            honorificSuffix: {
                '@id': string;
            };
            hospitalAffiliation: {
                '@id': string;
            };
            hostingOrganization: {
                '@id': string;
            };
            hoursAvailable: {
                '@id': string;
            };
            howPerformed: {
                '@id': string;
            };
            httpMethod: {
                '@id': string;
            };
            iataCode: {
                '@id': string;
            };
            icaoCode: {
                '@id': string;
            };
            identifier: {
                '@id': string;
            };
            identifyingExam: {
                '@id': string;
            };
            identifyingTest: {
                '@id': string;
            };
            illustrator: {
                '@id': string;
            };
            image: {
                '@id': string;
                '@type': string;
            };
            imagingTechnique: {
                '@id': string;
            };
            inAlbum: {
                '@id': string;
            };
            inBroadcastLineup: {
                '@id': string;
            };
            inCodeSet: {
                '@id': string;
                '@type': string;
            };
            inDefinedTermSet: {
                '@id': string;
                '@type': string;
            };
            inLanguage: {
                '@id': string;
            };
            inPlaylist: {
                '@id': string;
            };
            inProductGroupWithID: {
                '@id': string;
            };
            inStoreReturnsOffered: {
                '@id': string;
            };
            inSupportOf: {
                '@id': string;
            };
            incentiveCompensation: {
                '@id': string;
            };
            incentives: {
                '@id': string;
            };
            includedComposition: {
                '@id': string;
            };
            includedDataCatalog: {
                '@id': string;
            };
            includedInDataCatalog: {
                '@id': string;
            };
            includedInHealthInsurancePlan: {
                '@id': string;
            };
            includedRiskFactor: {
                '@id': string;
            };
            includesAttraction: {
                '@id': string;
            };
            includesHealthPlanFormulary: {
                '@id': string;
            };
            includesHealthPlanNetwork: {
                '@id': string;
            };
            includesObject: {
                '@id': string;
            };
            increasesRiskOf: {
                '@id': string;
            };
            industry: {
                '@id': string;
            };
            ineligibleRegion: {
                '@id': string;
            };
            infectiousAgent: {
                '@id': string;
            };
            infectiousAgentClass: {
                '@id': string;
            };
            ingredients: {
                '@id': string;
            };
            inker: {
                '@id': string;
            };
            insertion: {
                '@id': string;
            };
            installUrl: {
                '@id': string;
                '@type': string;
            };
            instructor: {
                '@id': string;
            };
            instrument: {
                '@id': string;
            };
            intensity: {
                '@id': string;
            };
            interactingDrug: {
                '@id': string;
            };
            interactionCount: {
                '@id': string;
            };
            interactionService: {
                '@id': string;
            };
            interactionStatistic: {
                '@id': string;
            };
            interactionType: {
                '@id': string;
            };
            interactivityType: {
                '@id': string;
            };
            interestRate: {
                '@id': string;
            };
            inventoryLevel: {
                '@id': string;
            };
            inverseOf: {
                '@id': string;
            };
            isAcceptingNewPatients: {
                '@id': string;
            };
            isAccessibleForFree: {
                '@id': string;
            };
            isAccessoryOrSparePartFor: {
                '@id': string;
            };
            isAvailableGenerically: {
                '@id': string;
            };
            isBasedOn: {
                '@id': string;
                '@type': string;
            };
            isBasedOnUrl: {
                '@id': string;
                '@type': string;
            };
            isConsumableFor: {
                '@id': string;
            };
            isFamilyFriendly: {
                '@id': string;
            };
            isGift: {
                '@id': string;
            };
            isLiveBroadcast: {
                '@id': string;
            };
            isPartOf: {
                '@id': string;
                '@type': string;
            };
            isPlanForApartment: {
                '@id': string;
            };
            isProprietary: {
                '@id': string;
            };
            isRelatedTo: {
                '@id': string;
            };
            isResizable: {
                '@id': string;
            };
            isSimilarTo: {
                '@id': string;
            };
            isUnlabelledFallback: {
                '@id': string;
            };
            isVariantOf: {
                '@id': string;
            };
            isbn: {
                '@id': string;
            };
            isicV4: {
                '@id': string;
            };
            isrcCode: {
                '@id': string;
            };
            issn: {
                '@id': string;
            };
            issueNumber: {
                '@id': string;
            };
            issuedBy: {
                '@id': string;
            };
            issuedThrough: {
                '@id': string;
            };
            iswcCode: {
                '@id': string;
            };
            item: {
                '@id': string;
            };
            itemCondition: {
                '@id': string;
            };
            itemListElement: {
                '@id': string;
            };
            itemListOrder: {
                '@id': string;
            };
            itemLocation: {
                '@id': string;
            };
            itemOffered: {
                '@id': string;
            };
            itemReviewed: {
                '@id': string;
            };
            itemShipped: {
                '@id': string;
            };
            itinerary: {
                '@id': string;
            };
            jobBenefits: {
                '@id': string;
            };
            jobImmediateStart: {
                '@id': string;
            };
            jobLocation: {
                '@id': string;
            };
            jobLocationType: {
                '@id': string;
            };
            jobStartDate: {
                '@id': string;
            };
            jobTitle: {
                '@id': string;
            };
            jurisdiction: {
                '@id': string;
            };
            keywords: {
                '@id': string;
            };
            knownVehicleDamages: {
                '@id': string;
            };
            knows: {
                '@id': string;
            };
            knowsAbout: {
                '@id': string;
            };
            knowsLanguage: {
                '@id': string;
            };
            labelDetails: {
                '@id': string;
                '@type': string;
            };
            landlord: {
                '@id': string;
            };
            language: {
                '@id': string;
            };
            lastReviewed: {
                '@id': string;
                '@type': string;
            };
            latitude: {
                '@id': string;
            };
            layoutImage: {
                '@id': string;
                '@type': string;
            };
            learningResourceType: {
                '@id': string;
            };
            leaseLength: {
                '@id': string;
            };
            legalName: {
                '@id': string;
            };
            legalStatus: {
                '@id': string;
            };
            legislationApplies: {
                '@id': string;
            };
            legislationChanges: {
                '@id': string;
            };
            legislationConsolidates: {
                '@id': string;
            };
            legislationDate: {
                '@id': string;
                '@type': string;
            };
            legislationDateVersion: {
                '@id': string;
                '@type': string;
            };
            legislationIdentifier: {
                '@id': string;
            };
            legislationJurisdiction: {
                '@id': string;
            };
            legislationLegalForce: {
                '@id': string;
            };
            legislationLegalValue: {
                '@id': string;
            };
            legislationPassedBy: {
                '@id': string;
            };
            legislationResponsible: {
                '@id': string;
            };
            legislationTransposes: {
                '@id': string;
            };
            legislationType: {
                '@id': string;
            };
            leiCode: {
                '@id': string;
            };
            lender: {
                '@id': string;
            };
            lesser: {
                '@id': string;
            };
            lesserOrEqual: {
                '@id': string;
            };
            letterer: {
                '@id': string;
            };
            license: {
                '@id': string;
                '@type': string;
            };
            line: {
                '@id': string;
            };
            linkRelationship: {
                '@id': string;
            };
            liveBlogUpdate: {
                '@id': string;
            };
            loanMortgageMandateAmount: {
                '@id': string;
            };
            loanPaymentAmount: {
                '@id': string;
            };
            loanPaymentFrequency: {
                '@id': string;
            };
            loanRepaymentForm: {
                '@id': string;
            };
            loanTerm: {
                '@id': string;
            };
            loanType: {
                '@id': string;
            };
            location: {
                '@id': string;
            };
            locationCreated: {
                '@id': string;
            };
            lodgingUnitDescription: {
                '@id': string;
            };
            lodgingUnitType: {
                '@id': string;
            };
            logo: {
                '@id': string;
                '@type': string;
            };
            longitude: {
                '@id': string;
            };
            loser: {
                '@id': string;
            };
            lowPrice: {
                '@id': string;
            };
            lyricist: {
                '@id': string;
            };
            lyrics: {
                '@id': string;
            };
            mainContentOfPage: {
                '@id': string;
            };
            mainEntity: {
                '@id': string;
            };
            mainEntityOfPage: {
                '@id': string;
                '@type': string;
            };
            maintainer: {
                '@id': string;
            };
            makesOffer: {
                '@id': string;
            };
            manufacturer: {
                '@id': string;
            };
            map: {
                '@id': string;
                '@type': string;
            };
            mapType: {
                '@id': string;
            };
            maps: {
                '@id': string;
                '@type': string;
            };
            marginOfError: {
                '@id': string;
            };
            masthead: {
                '@id': string;
                '@type': string;
            };
            material: {
                '@id': string;
            };
            materialExtent: {
                '@id': string;
            };
            mathExpression: {
                '@id': string;
            };
            maxPrice: {
                '@id': string;
            };
            maxValue: {
                '@id': string;
            };
            maximumAttendeeCapacity: {
                '@id': string;
            };
            maximumEnrollment: {
                '@id': string;
            };
            maximumIntake: {
                '@id': string;
            };
            maximumPhysicalAttendeeCapacity: {
                '@id': string;
            };
            maximumVirtualAttendeeCapacity: {
                '@id': string;
            };
            mealService: {
                '@id': string;
            };
            measuredProperty: {
                '@id': string;
            };
            measuredValue: {
                '@id': string;
            };
            measurementTechnique: {
                '@id': string;
            };
            mechanismOfAction: {
                '@id': string;
            };
            mediaAuthenticityCategory: {
                '@id': string;
            };
            median: {
                '@id': string;
            };
            medicalAudience: {
                '@id': string;
            };
            medicalSpecialty: {
                '@id': string;
            };
            medicineSystem: {
                '@id': string;
            };
            meetsEmissionStandard: {
                '@id': string;
            };
            member: {
                '@id': string;
            };
            memberOf: {
                '@id': string;
            };
            members: {
                '@id': string;
            };
            membershipNumber: {
                '@id': string;
            };
            membershipPointsEarned: {
                '@id': string;
            };
            memoryRequirements: {
                '@id': string;
            };
            mentions: {
                '@id': string;
            };
            menu: {
                '@id': string;
            };
            menuAddOn: {
                '@id': string;
            };
            merchant: {
                '@id': string;
            };
            merchantReturnDays: {
                '@id': string;
            };
            merchantReturnLink: {
                '@id': string;
                '@type': string;
            };
            messageAttachment: {
                '@id': string;
            };
            mileageFromOdometer: {
                '@id': string;
            };
            minPrice: {
                '@id': string;
            };
            minValue: {
                '@id': string;
            };
            minimumPaymentDue: {
                '@id': string;
            };
            missionCoveragePrioritiesPolicy: {
                '@id': string;
                '@type': string;
            };
            model: {
                '@id': string;
            };
            modelDate: {
                '@id': string;
                '@type': string;
            };
            modifiedTime: {
                '@id': string;
            };
            monthlyMinimumRepaymentAmount: {
                '@id': string;
            };
            monthsOfExperience: {
                '@id': string;
            };
            mpn: {
                '@id': string;
            };
            multipleValues: {
                '@id': string;
            };
            muscleAction: {
                '@id': string;
            };
            musicArrangement: {
                '@id': string;
            };
            musicBy: {
                '@id': string;
            };
            musicCompositionForm: {
                '@id': string;
            };
            musicGroupMember: {
                '@id': string;
            };
            musicReleaseFormat: {
                '@id': string;
            };
            musicalKey: {
                '@id': string;
            };
            naics: {
                '@id': string;
            };
            name: {
                '@id': string;
            };
            namedPosition: {
                '@id': string;
            };
            nationality: {
                '@id': string;
            };
            naturalProgression: {
                '@id': string;
            };
            nerve: {
                '@id': string;
            };
            nerveMotor: {
                '@id': string;
            };
            netWorth: {
                '@id': string;
            };
            newsUpdatesAndGuidelines: {
                '@id': string;
                '@type': string;
            };
            nextItem: {
                '@id': string;
            };
            noBylinesPolicy: {
                '@id': string;
                '@type': string;
            };
            nonEqual: {
                '@id': string;
            };
            nonProprietaryName: {
                '@id': string;
            };
            nonprofitStatus: {
                '@id': string;
            };
            normalRange: {
                '@id': string;
            };
            nsn: {
                '@id': string;
            };
            numAdults: {
                '@id': string;
            };
            numChildren: {
                '@id': string;
            };
            numConstraints: {
                '@id': string;
            };
            numTracks: {
                '@id': string;
            };
            numberOfAccommodationUnits: {
                '@id': string;
            };
            numberOfAirbags: {
                '@id': string;
            };
            numberOfAvailableAccommodationUnits: {
                '@id': string;
            };
            numberOfAxles: {
                '@id': string;
            };
            numberOfBathroomsTotal: {
                '@id': string;
            };
            numberOfBedrooms: {
                '@id': string;
            };
            numberOfBeds: {
                '@id': string;
            };
            numberOfCredits: {
                '@id': string;
            };
            numberOfDoors: {
                '@id': string;
            };
            numberOfEmployees: {
                '@id': string;
            };
            numberOfEpisodes: {
                '@id': string;
            };
            numberOfForwardGears: {
                '@id': string;
            };
            numberOfFullBathrooms: {
                '@id': string;
            };
            numberOfItems: {
                '@id': string;
            };
            numberOfLoanPayments: {
                '@id': string;
            };
            numberOfPages: {
                '@id': string;
            };
            numberOfPartialBathrooms: {
                '@id': string;
            };
            numberOfPlayers: {
                '@id': string;
            };
            numberOfPreviousOwners: {
                '@id': string;
            };
            numberOfRooms: {
                '@id': string;
            };
            numberOfSeasons: {
                '@id': string;
            };
            numberedPosition: {
                '@id': string;
            };
            nutrition: {
                '@id': string;
            };
            object: {
                '@id': string;
            };
            observationDate: {
                '@id': string;
            };
            observedNode: {
                '@id': string;
            };
            occupancy: {
                '@id': string;
            };
            occupationLocation: {
                '@id': string;
            };
            occupationalCategory: {
                '@id': string;
            };
            occupationalCredentialAwarded: {
                '@id': string;
            };
            offerCount: {
                '@id': string;
            };
            offeredBy: {
                '@id': string;
            };
            offers: {
                '@id': string;
            };
            offersPrescriptionByMail: {
                '@id': string;
            };
            openingHours: {
                '@id': string;
            };
            openingHoursSpecification: {
                '@id': string;
            };
            opens: {
                '@id': string;
            };
            operatingSystem: {
                '@id': string;
            };
            opponent: {
                '@id': string;
            };
            option: {
                '@id': string;
            };
            orderDate: {
                '@id': string;
                '@type': string;
            };
            orderDelivery: {
                '@id': string;
            };
            orderItemNumber: {
                '@id': string;
            };
            orderItemStatus: {
                '@id': string;
            };
            orderNumber: {
                '@id': string;
            };
            orderQuantity: {
                '@id': string;
            };
            orderStatus: {
                '@id': string;
            };
            orderedItem: {
                '@id': string;
            };
            organizer: {
                '@id': string;
            };
            originAddress: {
                '@id': string;
            };
            originatesFrom: {
                '@id': string;
            };
            overdosage: {
                '@id': string;
            };
            ownedFrom: {
                '@id': string;
            };
            ownedThrough: {
                '@id': string;
            };
            ownershipFundingInfo: {
                '@id': string;
            };
            owns: {
                '@id': string;
            };
            pageEnd: {
                '@id': string;
            };
            pageStart: {
                '@id': string;
            };
            pagination: {
                '@id': string;
            };
            parent: {
                '@id': string;
            };
            parentItem: {
                '@id': string;
            };
            parentOrganization: {
                '@id': string;
            };
            parentService: {
                '@id': string;
            };
            parents: {
                '@id': string;
            };
            partOfEpisode: {
                '@id': string;
            };
            partOfInvoice: {
                '@id': string;
            };
            partOfOrder: {
                '@id': string;
            };
            partOfSeason: {
                '@id': string;
            };
            partOfSeries: {
                '@id': string;
            };
            partOfSystem: {
                '@id': string;
            };
            partOfTVSeries: {
                '@id': string;
            };
            partOfTrip: {
                '@id': string;
            };
            participant: {
                '@id': string;
            };
            partySize: {
                '@id': string;
            };
            passengerPriorityStatus: {
                '@id': string;
            };
            passengerSequenceNumber: {
                '@id': string;
            };
            pathophysiology: {
                '@id': string;
            };
            pattern: {
                '@id': string;
            };
            payload: {
                '@id': string;
            };
            paymentAccepted: {
                '@id': string;
            };
            paymentDue: {
                '@id': string;
            };
            paymentDueDate: {
                '@id': string;
                '@type': string;
            };
            paymentMethod: {
                '@id': string;
            };
            paymentMethodId: {
                '@id': string;
            };
            paymentStatus: {
                '@id': string;
            };
            paymentUrl: {
                '@id': string;
                '@type': string;
            };
            penciler: {
                '@id': string;
            };
            percentile10: {
                '@id': string;
            };
            percentile25: {
                '@id': string;
            };
            percentile75: {
                '@id': string;
            };
            percentile90: {
                '@id': string;
            };
            performTime: {
                '@id': string;
            };
            performer: {
                '@id': string;
            };
            performerIn: {
                '@id': string;
            };
            performers: {
                '@id': string;
            };
            permissionType: {
                '@id': string;
            };
            permissions: {
                '@id': string;
            };
            permitAudience: {
                '@id': string;
            };
            permittedUsage: {
                '@id': string;
            };
            petsAllowed: {
                '@id': string;
            };
            phoneticText: {
                '@id': string;
            };
            photo: {
                '@id': string;
            };
            photos: {
                '@id': string;
            };
            physicalRequirement: {
                '@id': string;
            };
            physiologicalBenefits: {
                '@id': string;
            };
            pickupLocation: {
                '@id': string;
            };
            pickupTime: {
                '@id': string;
            };
            playMode: {
                '@id': string;
            };
            playerType: {
                '@id': string;
            };
            playersOnline: {
                '@id': string;
            };
            polygon: {
                '@id': string;
            };
            populationType: {
                '@id': string;
            };
            position: {
                '@id': string;
            };
            possibleComplication: {
                '@id': string;
            };
            possibleTreatment: {
                '@id': string;
            };
            postOfficeBoxNumber: {
                '@id': string;
            };
            postOp: {
                '@id': string;
            };
            postalCode: {
                '@id': string;
            };
            postalCodeBegin: {
                '@id': string;
            };
            postalCodeEnd: {
                '@id': string;
            };
            postalCodePrefix: {
                '@id': string;
            };
            postalCodeRange: {
                '@id': string;
            };
            potentialAction: {
                '@id': string;
            };
            preOp: {
                '@id': string;
            };
            predecessorOf: {
                '@id': string;
            };
            pregnancyCategory: {
                '@id': string;
            };
            pregnancyWarning: {
                '@id': string;
            };
            prepTime: {
                '@id': string;
            };
            preparation: {
                '@id': string;
            };
            prescribingInfo: {
                '@id': string;
                '@type': string;
            };
            prescriptionStatus: {
                '@id': string;
            };
            previousItem: {
                '@id': string;
            };
            previousStartDate: {
                '@id': string;
                '@type': string;
            };
            price: {
                '@id': string;
            };
            priceComponent: {
                '@id': string;
            };
            priceComponentType: {
                '@id': string;
            };
            priceCurrency: {
                '@id': string;
            };
            priceRange: {
                '@id': string;
            };
            priceSpecification: {
                '@id': string;
            };
            priceType: {
                '@id': string;
            };
            priceValidUntil: {
                '@id': string;
                '@type': string;
            };
            primaryImageOfPage: {
                '@id': string;
            };
            primaryPrevention: {
                '@id': string;
            };
            printColumn: {
                '@id': string;
            };
            printEdition: {
                '@id': string;
            };
            printPage: {
                '@id': string;
            };
            printSection: {
                '@id': string;
            };
            procedure: {
                '@id': string;
            };
            procedureType: {
                '@id': string;
            };
            processingTime: {
                '@id': string;
            };
            processorRequirements: {
                '@id': string;
            };
            producer: {
                '@id': string;
            };
            produces: {
                '@id': string;
            };
            productGroupID: {
                '@id': string;
            };
            productID: {
                '@id': string;
            };
            productReturnDays: {
                '@id': string;
            };
            productReturnLink: {
                '@id': string;
                '@type': string;
            };
            productSupported: {
                '@id': string;
            };
            productionCompany: {
                '@id': string;
            };
            productionDate: {
                '@id': string;
                '@type': string;
            };
            proficiencyLevel: {
                '@id': string;
            };
            programMembershipUsed: {
                '@id': string;
            };
            programName: {
                '@id': string;
            };
            programPrerequisites: {
                '@id': string;
            };
            programType: {
                '@id': string;
            };
            programmingLanguage: {
                '@id': string;
            };
            programmingModel: {
                '@id': string;
            };
            propertyID: {
                '@id': string;
            };
            proprietaryName: {
                '@id': string;
            };
            proteinContent: {
                '@id': string;
            };
            provider: {
                '@id': string;
            };
            providerMobility: {
                '@id': string;
            };
            providesBroadcastService: {
                '@id': string;
            };
            providesService: {
                '@id': string;
            };
            publicAccess: {
                '@id': string;
            };
            publicTransportClosuresInfo: {
                '@id': string;
                '@type': string;
            };
            publication: {
                '@id': string;
            };
            publicationType: {
                '@id': string;
            };
            publishedBy: {
                '@id': string;
            };
            publishedOn: {
                '@id': string;
            };
            publisher: {
                '@id': string;
            };
            publisherImprint: {
                '@id': string;
            };
            publishingPrinciples: {
                '@id': string;
                '@type': string;
            };
            purchaseDate: {
                '@id': string;
                '@type': string;
            };
            qualifications: {
                '@id': string;
            };
            quarantineGuidelines: {
                '@id': string;
                '@type': string;
            };
            query: {
                '@id': string;
            };
            quest: {
                '@id': string;
            };
            question: {
                '@id': string;
            };
            rangeIncludes: {
                '@id': string;
            };
            ratingCount: {
                '@id': string;
            };
            ratingExplanation: {
                '@id': string;
            };
            ratingValue: {
                '@id': string;
            };
            readBy: {
                '@id': string;
            };
            readonlyValue: {
                '@id': string;
            };
            realEstateAgent: {
                '@id': string;
            };
            recipe: {
                '@id': string;
            };
            recipeCategory: {
                '@id': string;
            };
            recipeCuisine: {
                '@id': string;
            };
            recipeIngredient: {
                '@id': string;
            };
            recipeInstructions: {
                '@id': string;
            };
            recipeYield: {
                '@id': string;
            };
            recipient: {
                '@id': string;
            };
            recognizedBy: {
                '@id': string;
            };
            recognizingAuthority: {
                '@id': string;
            };
            recommendationStrength: {
                '@id': string;
            };
            recommendedIntake: {
                '@id': string;
            };
            recordLabel: {
                '@id': string;
            };
            recordedAs: {
                '@id': string;
            };
            recordedAt: {
                '@id': string;
            };
            recordedIn: {
                '@id': string;
            };
            recordingOf: {
                '@id': string;
            };
            recourseLoan: {
                '@id': string;
            };
            referenceQuantity: {
                '@id': string;
            };
            referencesOrder: {
                '@id': string;
            };
            refundType: {
                '@id': string;
            };
            regionDrained: {
                '@id': string;
            };
            regionsAllowed: {
                '@id': string;
            };
            relatedAnatomy: {
                '@id': string;
            };
            relatedCondition: {
                '@id': string;
            };
            relatedDrug: {
                '@id': string;
            };
            relatedLink: {
                '@id': string;
                '@type': string;
            };
            relatedStructure: {
                '@id': string;
            };
            relatedTherapy: {
                '@id': string;
            };
            relatedTo: {
                '@id': string;
            };
            releaseDate: {
                '@id': string;
                '@type': string;
            };
            releaseNotes: {
                '@id': string;
            };
            releaseOf: {
                '@id': string;
            };
            releasedEvent: {
                '@id': string;
            };
            relevantOccupation: {
                '@id': string;
            };
            relevantSpecialty: {
                '@id': string;
            };
            remainingAttendeeCapacity: {
                '@id': string;
            };
            renegotiableLoan: {
                '@id': string;
            };
            repeatCount: {
                '@id': string;
            };
            repeatFrequency: {
                '@id': string;
            };
            repetitions: {
                '@id': string;
            };
            replacee: {
                '@id': string;
            };
            replacer: {
                '@id': string;
            };
            replyToUrl: {
                '@id': string;
                '@type': string;
            };
            reportNumber: {
                '@id': string;
            };
            representativeOfPage: {
                '@id': string;
            };
            requiredCollateral: {
                '@id': string;
            };
            requiredGender: {
                '@id': string;
            };
            requiredMaxAge: {
                '@id': string;
            };
            requiredMinAge: {
                '@id': string;
            };
            requiredQuantity: {
                '@id': string;
            };
            requirements: {
                '@id': string;
            };
            requiresSubscription: {
                '@id': string;
            };
            reservationFor: {
                '@id': string;
            };
            reservationId: {
                '@id': string;
            };
            reservationStatus: {
                '@id': string;
            };
            reservedTicket: {
                '@id': string;
            };
            responsibilities: {
                '@id': string;
            };
            restPeriods: {
                '@id': string;
            };
            result: {
                '@id': string;
            };
            resultComment: {
                '@id': string;
            };
            resultReview: {
                '@id': string;
            };
            returnFees: {
                '@id': string;
            };
            returnPolicyCategory: {
                '@id': string;
            };
            review: {
                '@id': string;
            };
            reviewAspect: {
                '@id': string;
            };
            reviewBody: {
                '@id': string;
            };
            reviewCount: {
                '@id': string;
            };
            reviewRating: {
                '@id': string;
            };
            reviewedBy: {
                '@id': string;
            };
            reviews: {
                '@id': string;
            };
            riskFactor: {
                '@id': string;
            };
            risks: {
                '@id': string;
            };
            roleName: {
                '@id': string;
            };
            roofLoad: {
                '@id': string;
            };
            rsvpResponse: {
                '@id': string;
            };
            runsTo: {
                '@id': string;
            };
            runtime: {
                '@id': string;
            };
            runtimePlatform: {
                '@id': string;
            };
            rxcui: {
                '@id': string;
            };
            safetyConsideration: {
                '@id': string;
            };
            salaryCurrency: {
                '@id': string;
            };
            salaryUponCompletion: {
                '@id': string;
            };
            sameAs: {
                '@id': string;
                '@type': string;
            };
            sampleType: {
                '@id': string;
            };
            saturatedFatContent: {
                '@id': string;
            };
            scheduleTimezone: {
                '@id': string;
            };
            scheduledPaymentDate: {
                '@id': string;
                '@type': string;
            };
            scheduledTime: {
                '@id': string;
            };
            schemaVersion: {
                '@id': string;
            };
            schoolClosuresInfo: {
                '@id': string;
                '@type': string;
            };
            screenCount: {
                '@id': string;
            };
            screenshot: {
                '@id': string;
                '@type': string;
            };
            sdDatePublished: {
                '@id': string;
                '@type': string;
            };
            sdLicense: {
                '@id': string;
                '@type': string;
            };
            sdPublisher: {
                '@id': string;
            };
            season: {
                '@id': string;
                '@type': string;
            };
            seasonNumber: {
                '@id': string;
            };
            seasons: {
                '@id': string;
            };
            seatNumber: {
                '@id': string;
            };
            seatRow: {
                '@id': string;
            };
            seatSection: {
                '@id': string;
            };
            seatingCapacity: {
                '@id': string;
            };
            seatingType: {
                '@id': string;
            };
            secondaryPrevention: {
                '@id': string;
            };
            securityClearanceRequirement: {
                '@id': string;
            };
            securityScreening: {
                '@id': string;
            };
            seeks: {
                '@id': string;
            };
            seller: {
                '@id': string;
            };
            sender: {
                '@id': string;
            };
            sensoryRequirement: {
                '@id': string;
            };
            sensoryUnit: {
                '@id': string;
            };
            serialNumber: {
                '@id': string;
            };
            seriousAdverseOutcome: {
                '@id': string;
            };
            serverStatus: {
                '@id': string;
            };
            servesCuisine: {
                '@id': string;
            };
            serviceArea: {
                '@id': string;
            };
            serviceAudience: {
                '@id': string;
            };
            serviceLocation: {
                '@id': string;
            };
            serviceOperator: {
                '@id': string;
            };
            serviceOutput: {
                '@id': string;
            };
            servicePhone: {
                '@id': string;
            };
            servicePostalAddress: {
                '@id': string;
            };
            serviceSmsNumber: {
                '@id': string;
            };
            serviceType: {
                '@id': string;
            };
            serviceUrl: {
                '@id': string;
                '@type': string;
            };
            servingSize: {
                '@id': string;
            };
            sharedContent: {
                '@id': string;
            };
            shippingDestination: {
                '@id': string;
            };
            shippingDetails: {
                '@id': string;
            };
            shippingLabel: {
                '@id': string;
            };
            shippingRate: {
                '@id': string;
            };
            shippingSettingsLink: {
                '@id': string;
                '@type': string;
            };
            sibling: {
                '@id': string;
            };
            siblings: {
                '@id': string;
            };
            signDetected: {
                '@id': string;
            };
            signOrSymptom: {
                '@id': string;
            };
            significance: {
                '@id': string;
            };
            significantLink: {
                '@id': string;
                '@type': string;
            };
            significantLinks: {
                '@id': string;
                '@type': string;
            };
            size: {
                '@id': string;
            };
            sizeGroup: {
                '@id': string;
            };
            sizeSystem: {
                '@id': string;
            };
            skills: {
                '@id': string;
            };
            sku: {
                '@id': string;
            };
            slogan: {
                '@id': string;
            };
            smokingAllowed: {
                '@id': string;
            };
            sodiumContent: {
                '@id': string;
            };
            softwareAddOn: {
                '@id': string;
            };
            softwareHelp: {
                '@id': string;
            };
            softwareRequirements: {
                '@id': string;
            };
            softwareVersion: {
                '@id': string;
            };
            sourceOrganization: {
                '@id': string;
            };
            sourcedFrom: {
                '@id': string;
            };
            spatial: {
                '@id': string;
            };
            spatialCoverage: {
                '@id': string;
            };
            speakable: {
                '@id': string;
                '@type': string;
            };
            specialCommitments: {
                '@id': string;
            };
            specialOpeningHoursSpecification: {
                '@id': string;
            };
            specialty: {
                '@id': string;
            };
            speechToTextMarkup: {
                '@id': string;
            };
            speed: {
                '@id': string;
            };
            spokenByCharacter: {
                '@id': string;
            };
            sponsor: {
                '@id': string;
            };
            sport: {
                '@id': string;
            };
            sportsActivityLocation: {
                '@id': string;
            };
            sportsEvent: {
                '@id': string;
            };
            sportsTeam: {
                '@id': string;
            };
            spouse: {
                '@id': string;
            };
            stage: {
                '@id': string;
            };
            stageAsNumber: {
                '@id': string;
            };
            starRating: {
                '@id': string;
            };
            startDate: {
                '@id': string;
                '@type': string;
            };
            startOffset: {
                '@id': string;
            };
            startTime: {
                '@id': string;
            };
            status: {
                '@id': string;
            };
            steeringPosition: {
                '@id': string;
            };
            step: {
                '@id': string;
            };
            stepValue: {
                '@id': string;
            };
            steps: {
                '@id': string;
            };
            storageRequirements: {
                '@id': string;
            };
            streetAddress: {
                '@id': string;
            };
            strengthUnit: {
                '@id': string;
            };
            strengthValue: {
                '@id': string;
            };
            structuralClass: {
                '@id': string;
            };
            study: {
                '@id': string;
            };
            studyDesign: {
                '@id': string;
            };
            studyLocation: {
                '@id': string;
            };
            studySubject: {
                '@id': string;
            };
            stupidProperty: {
                '@id': string;
            };
            subEvent: {
                '@id': string;
            };
            subEvents: {
                '@id': string;
            };
            subOrganization: {
                '@id': string;
            };
            subReservation: {
                '@id': string;
            };
            subStageSuffix: {
                '@id': string;
            };
            subStructure: {
                '@id': string;
            };
            subTest: {
                '@id': string;
            };
            subTrip: {
                '@id': string;
            };
            subjectOf: {
                '@id': string;
            };
            subtitleLanguage: {
                '@id': string;
            };
            successorOf: {
                '@id': string;
            };
            sugarContent: {
                '@id': string;
            };
            suggestedAge: {
                '@id': string;
            };
            suggestedAnswer: {
                '@id': string;
            };
            suggestedGender: {
                '@id': string;
            };
            suggestedMaxAge: {
                '@id': string;
            };
            suggestedMeasurement: {
                '@id': string;
            };
            suggestedMinAge: {
                '@id': string;
            };
            suitableForDiet: {
                '@id': string;
            };
            superEvent: {
                '@id': string;
            };
            supersededBy: {
                '@id': string;
            };
            supply: {
                '@id': string;
            };
            supplyTo: {
                '@id': string;
            };
            supportingData: {
                '@id': string;
            };
            surface: {
                '@id': string;
            };
            target: {
                '@id': string;
            };
            targetCollection: {
                '@id': string;
            };
            targetDescription: {
                '@id': string;
            };
            targetName: {
                '@id': string;
            };
            targetPlatform: {
                '@id': string;
            };
            targetPopulation: {
                '@id': string;
            };
            targetProduct: {
                '@id': string;
            };
            targetUrl: {
                '@id': string;
                '@type': string;
            };
            taxID: {
                '@id': string;
            };
            teaches: {
                '@id': string;
            };
            telephone: {
                '@id': string;
            };
            temporal: {
                '@id': string;
            };
            temporalCoverage: {
                '@id': string;
            };
            termCode: {
                '@id': string;
            };
            termDuration: {
                '@id': string;
            };
            termsOfService: {
                '@id': string;
            };
            termsPerYear: {
                '@id': string;
            };
            text: {
                '@id': string;
            };
            textValue: {
                '@id': string;
            };
            thumbnail: {
                '@id': string;
            };
            thumbnailUrl: {
                '@id': string;
                '@type': string;
            };
            tickerSymbol: {
                '@id': string;
            };
            ticketNumber: {
                '@id': string;
            };
            ticketToken: {
                '@id': string;
            };
            ticketedSeat: {
                '@id': string;
            };
            timeOfDay: {
                '@id': string;
            };
            timeRequired: {
                '@id': string;
            };
            timeToComplete: {
                '@id': string;
            };
            tissueSample: {
                '@id': string;
            };
            title: {
                '@id': string;
            };
            titleEIDR: {
                '@id': string;
            };
            toLocation: {
                '@id': string;
            };
            toRecipient: {
                '@id': string;
            };
            tocContinuation: {
                '@id': string;
            };
            tocEntry: {
                '@id': string;
            };
            tongueWeight: {
                '@id': string;
            };
            tool: {
                '@id': string;
            };
            torque: {
                '@id': string;
            };
            totalJobOpenings: {
                '@id': string;
            };
            totalPaymentDue: {
                '@id': string;
            };
            totalPrice: {
                '@id': string;
            };
            totalTime: {
                '@id': string;
            };
            tourBookingPage: {
                '@id': string;
                '@type': string;
            };
            touristType: {
                '@id': string;
            };
            track: {
                '@id': string;
            };
            trackingNumber: {
                '@id': string;
            };
            trackingUrl: {
                '@id': string;
                '@type': string;
            };
            tracks: {
                '@id': string;
            };
            trailer: {
                '@id': string;
            };
            trailerWeight: {
                '@id': string;
            };
            trainName: {
                '@id': string;
            };
            trainNumber: {
                '@id': string;
            };
            trainingSalary: {
                '@id': string;
            };
            transFatContent: {
                '@id': string;
            };
            transcript: {
                '@id': string;
            };
            transitTime: {
                '@id': string;
            };
            transitTimeLabel: {
                '@id': string;
            };
            translationOfWork: {
                '@id': string;
            };
            translator: {
                '@id': string;
            };
            transmissionMethod: {
                '@id': string;
            };
            travelBans: {
                '@id': string;
                '@type': string;
            };
            trialDesign: {
                '@id': string;
            };
            tributary: {
                '@id': string;
            };
            typeOfBed: {
                '@id': string;
            };
            typeOfGood: {
                '@id': string;
            };
            typicalAgeRange: {
                '@id': string;
            };
            typicalCreditsPerTerm: {
                '@id': string;
            };
            typicalTest: {
                '@id': string;
            };
            underName: {
                '@id': string;
            };
            unitCode: {
                '@id': string;
            };
            unitText: {
                '@id': string;
            };
            unnamedSourcesPolicy: {
                '@id': string;
                '@type': string;
            };
            unsaturatedFatContent: {
                '@id': string;
            };
            uploadDate: {
                '@id': string;
                '@type': string;
            };
            upvoteCount: {
                '@id': string;
            };
            url: {
                '@id': string;
                '@type': string;
            };
            urlTemplate: {
                '@id': string;
            };
            usageInfo: {
                '@id': string;
                '@type': string;
            };
            usedToDiagnose: {
                '@id': string;
            };
            userInteractionCount: {
                '@id': string;
            };
            usesDevice: {
                '@id': string;
            };
            usesHealthPlanIdStandard: {
                '@id': string;
            };
            utterances: {
                '@id': string;
            };
            validFor: {
                '@id': string;
            };
            validFrom: {
                '@id': string;
                '@type': string;
            };
            validIn: {
                '@id': string;
            };
            validThrough: {
                '@id': string;
                '@type': string;
            };
            validUntil: {
                '@id': string;
                '@type': string;
            };
            value: {
                '@id': string;
            };
            valueAddedTaxIncluded: {
                '@id': string;
            };
            valueMaxLength: {
                '@id': string;
            };
            valueMinLength: {
                '@id': string;
            };
            valueName: {
                '@id': string;
            };
            valuePattern: {
                '@id': string;
            };
            valueReference: {
                '@id': string;
            };
            valueRequired: {
                '@id': string;
            };
            variableMeasured: {
                '@id': string;
            };
            variablesMeasured: {
                '@id': string;
            };
            variantCover: {
                '@id': string;
            };
            variesBy: {
                '@id': string;
            };
            vatID: {
                '@id': string;
            };
            vehicleConfiguration: {
                '@id': string;
            };
            vehicleEngine: {
                '@id': string;
            };
            vehicleIdentificationNumber: {
                '@id': string;
            };
            vehicleInteriorColor: {
                '@id': string;
            };
            vehicleInteriorType: {
                '@id': string;
            };
            vehicleModelDate: {
                '@id': string;
                '@type': string;
            };
            vehicleSeatingCapacity: {
                '@id': string;
            };
            vehicleSpecialUsage: {
                '@id': string;
            };
            vehicleTransmission: {
                '@id': string;
            };
            vendor: {
                '@id': string;
            };
            verificationFactCheckingPolicy: {
                '@id': string;
                '@type': string;
            };
            version: {
                '@id': string;
            };
            video: {
                '@id': string;
            };
            videoFormat: {
                '@id': string;
            };
            videoFrameSize: {
                '@id': string;
            };
            videoQuality: {
                '@id': string;
            };
            volumeNumber: {
                '@id': string;
            };
            warning: {
                '@id': string;
            };
            warranty: {
                '@id': string;
            };
            warrantyPromise: {
                '@id': string;
            };
            warrantyScope: {
                '@id': string;
            };
            webCheckinTime: {
                '@id': string;
            };
            webFeed: {
                '@id': string;
                '@type': string;
            };
            weight: {
                '@id': string;
            };
            weightTotal: {
                '@id': string;
            };
            wheelbase: {
                '@id': string;
            };
            width: {
                '@id': string;
            };
            winner: {
                '@id': string;
            };
            wordCount: {
                '@id': string;
            };
            workExample: {
                '@id': string;
            };
            workFeatured: {
                '@id': string;
            };
            workHours: {
                '@id': string;
            };
            workLocation: {
                '@id': string;
            };
            workPerformed: {
                '@id': string;
            };
            workPresented: {
                '@id': string;
            };
            workTranslation: {
                '@id': string;
            };
            workload: {
                '@id': string;
            };
            worksFor: {
                '@id': string;
            };
            worstRating: {
                '@id': string;
            };
            xpath: {
                '@id': string;
            };
            yearBuilt: {
                '@id': string;
            };
            yearlyRevenue: {
                '@id': string;
            };
            yearsInOperation: {
                '@id': string;
            };
            yield: {
                '@id': string;
            };
        };
    };
    'https://identity.foundation/presentation-exchange/submission/v1': {
        '@context': {
            '@version': number;
            PresentationSubmission: {
                '@id': string;
                '@context': {
                    '@version': number;
                    presentation_submission: {
                        '@id': string;
                        '@type': string;
                    };
                };
            };
        };
    };
    'https://purl.imsglobal.org/spec/ob/v3p0/context.json': {
        '@context': {
            id: string;
            type: string;
            xsd: string;
            OpenBadgeCredential: {
                '@id': string;
            };
            Achievement: {
                '@id': string;
                '@context': {
                    achievementType: {
                        '@id': string;
                        '@type': string;
                    };
                    alignment: {
                        '@id': string;
                        '@type': string;
                        '@container': string;
                    };
                    creator: {
                        '@id': string;
                    };
                    creditsAvailable: {
                        '@id': string;
                        '@type': string;
                    };
                    criteria: {
                        '@id': string;
                        '@type': string;
                    };
                    fieldOfStudy: {
                        '@id': string;
                        '@type': string;
                    };
                    humanCode: {
                        '@id': string;
                        '@type': string;
                    };
                    otherIdentifier: {
                        '@id': string;
                        '@type': string;
                        '@container': string;
                    };
                    related: {
                        '@id': string;
                        '@type': string;
                        '@container': string;
                    };
                    resultDescription: {
                        '@id': string;
                        '@type': string;
                        '@container': string;
                    };
                    specialization: {
                        '@id': string;
                        '@type': string;
                    };
                    tag: {
                        '@id': string;
                        '@type': string;
                        '@container': string;
                    };
                    version: {
                        '@id': string;
                        '@type': string;
                    };
                };
            };
            AchievementCredential: {
                '@id': string;
            };
            AchievementSubject: {
                '@id': string;
                '@context': {
                    achievement: {
                        '@id': string;
                    };
                    activityEndDate: {
                        '@id': string;
                        '@type': string;
                    };
                    activityStartDate: {
                        '@id': string;
                        '@type': string;
                    };
                    creditsEarned: {
                        '@id': string;
                        '@type': string;
                    };
                    identifier: {
                        '@id': string;
                        '@type': string;
                        '@container': string;
                    };
                    licenseNumber: {
                        '@id': string;
                        '@type': string;
                    };
                    result: {
                        '@id': string;
                        '@type': string;
                        '@container': string;
                    };
                    role: {
                        '@id': string;
                        '@type': string;
                    };
                    source: {
                        '@id': string;
                        '@type': string;
                    };
                    term: {
                        '@id': string;
                        '@type': string;
                    };
                };
            };
            Address: {
                '@id': string;
                '@context': {
                    addressCountry: {
                        '@id': string;
                        '@type': string;
                    };
                    addressCountryCode: {
                        '@id': string;
                        '@type': string;
                    };
                    addressLocality: {
                        '@id': string;
                        '@type': string;
                    };
                    addressRegion: {
                        '@id': string;
                        '@type': string;
                    };
                    geo: {
                        '@id': string;
                    };
                    postOfficeBoxNumber: {
                        '@id': string;
                        '@type': string;
                    };
                    postalCode: {
                        '@id': string;
                        '@type': string;
                    };
                    streetAddress: {
                        '@id': string;
                        '@type': string;
                    };
                };
            };
            Alignment: {
                '@id': string;
                '@context': {
                    targetCode: {
                        '@id': string;
                        '@type': string;
                    };
                    targetDescription: {
                        '@id': string;
                        '@type': string;
                    };
                    targetFramework: {
                        '@id': string;
                        '@type': string;
                    };
                    targetName: {
                        '@id': string;
                        '@type': string;
                    };
                    targetType: {
                        '@id': string;
                        '@type': string;
                    };
                    targetUrl: {
                        '@id': string;
                        '@type': string;
                    };
                };
            };
            Criteria: {
                '@id': string;
            };
            EndorsementCredential: {
                '@id': string;
            };
            EndorsementSubject: {
                '@id': string;
                '@context': {
                    endorsementComment: {
                        '@id': string;
                        '@type': string;
                    };
                };
            };
            Evidence: {
                '@id': string;
                '@context': {
                    audience: {
                        '@id': string;
                        '@type': string;
                    };
                    genre: {
                        '@id': string;
                        '@type': string;
                    };
                };
            };
            GeoCoordinates: {
                '@id': string;
                '@context': {
                    latitude: {
                        '@id': string;
                        '@type': string;
                    };
                    longitude: {
                        '@id': string;
                        '@type': string;
                    };
                };
            };
            IdentifierEntry: {
                '@id': string;
                '@context': {
                    identifier: {
                        '@id': string;
                        '@type': string;
                    };
                    identifierType: {
                        '@id': string;
                        '@type': string;
                    };
                };
            };
            IdentityObject: {
                '@id': string;
                '@context': {
                    hashed: {
                        '@id': string;
                        '@type': string;
                    };
                    identityHash: {
                        '@id': string;
                        '@type': string;
                    };
                    identityType: {
                        '@id': string;
                        '@type': string;
                    };
                    salt: {
                        '@id': string;
                        '@type': string;
                    };
                };
            };
            Image: {
                '@id': string;
                '@context': {
                    caption: {
                        '@id': string;
                        '@type': string;
                    };
                };
            };
            Profile: {
                '@id': string;
                '@context': {
                    additionalName: {
                        '@id': string;
                        '@type': string;
                    };
                    address: {
                        '@id': string;
                    };
                    dateOfBirth: {
                        '@id': string;
                        '@type': string;
                    };
                    email: {
                        '@id': string;
                        '@type': string;
                    };
                    familyName: {
                        '@id': string;
                        '@type': string;
                    };
                    familyNamePrefix: {
                        '@id': string;
                        '@type': string;
                    };
                    givenName: {
                        '@id': string;
                        '@type': string;
                    };
                    honorificPrefix: {
                        '@id': string;
                        '@type': string;
                    };
                    honorificSuffix: {
                        '@id': string;
                        '@type': string;
                    };
                    otherIdentifier: {
                        '@id': string;
                        '@type': string;
                        '@container': string;
                    };
                    parentOrg: {
                        '@id': string;
                        '@type': string;
                    };
                    patronymicName: {
                        '@id': string;
                        '@type': string;
                    };
                    phone: {
                        '@id': string;
                        '@type': string;
                    };
                    official: {
                        '@id': string;
                        '@type': string;
                    };
                };
            };
            Related: {
                '@id': string;
                '@context': {
                    version: {
                        '@id': string;
                        '@type': string;
                    };
                };
            };
            Result: {
                '@id': string;
                '@context': {
                    achievedLevel: {
                        '@id': string;
                        '@type': string;
                    };
                    resultDescription: {
                        '@id': string;
                        '@type': string;
                    };
                    status: {
                        '@id': string;
                        '@type': string;
                    };
                    value: {
                        '@id': string;
                        '@type': string;
                    };
                };
            };
            ResultDescription: {
                '@id': string;
                '@context': {
                    allowedValue: {
                        '@id': string;
                        '@type': string;
                        '@container': string;
                    };
                    requiredLevel: {
                        '@id': string;
                        '@type': string;
                    };
                    requiredValue: {
                        '@id': string;
                        '@type': string;
                    };
                    resultType: {
                        '@id': string;
                        '@type': string;
                    };
                    rubricCriterionLevel: {
                        '@id': string;
                        '@type': string;
                        '@container': string;
                    };
                    valueMax: {
                        '@id': string;
                        '@type': string;
                    };
                    valueMin: {
                        '@id': string;
                        '@type': string;
                    };
                };
            };
            RubricCriterionLevel: {
                '@id': string;
                '@context': {
                    level: {
                        '@id': string;
                        '@type': string;
                    };
                    points: {
                        '@id': string;
                        '@type': string;
                    };
                };
            };
            alignment: {
                '@id': string;
                '@type': string;
                '@container': string;
            };
            description: {
                '@id': string;
                '@type': string;
            };
            endorsement: {
                '@id': string;
                '@type': string;
                '@container': string;
            };
            image: {
                '@id': string;
                '@type': string;
            };
            name: {
                '@id': string;
                '@type': string;
            };
            narrative: {
                '@id': string;
                '@type': string;
            };
            url: {
                '@id': string;
                '@type': string;
            };
        };
    };
    'https://w3c-ccg.github.io/vc-status-rl-2020/contexts/vc-revocation-list-2020/v1.jsonld': {
        '@context': {
            '@protected': boolean;
            RevocationList2020Credential: {
                '@id': string;
                '@context': {
                    '@protected': boolean;
                    id: string;
                    type: string;
                    description: string;
                    name: string;
                };
            };
            RevocationList2020: {
                '@id': string;
                '@context': {
                    '@protected': boolean;
                    id: string;
                    type: string;
                    encodedList: string;
                };
            };
            RevocationList2020Status: {
                '@id': string;
                '@context': {
                    '@protected': boolean;
                    id: string;
                    type: string;
                    revocationListCredential: {
                        '@id': string;
                        '@type': string;
                    };
                    revocationListIndex: string;
                };
            };
        };
    };
    'https://w3id.org/security/data-integrity/v2': {
        '@context': {
            id: string;
            type: string;
            '@protected': boolean;
            proof: {
                '@id': string;
                '@type': string;
                '@container': string;
            };
            DataIntegrityProof: {
                '@id': string;
                '@context': {
                    '@protected': boolean;
                    id: string;
                    type: string;
                    challenge: string;
                    created: {
                        '@id': string;
                        '@type': string;
                    };
                    domain: string;
                    expires: {
                        '@id': string;
                        '@type': string;
                    };
                    nonce: string;
                    previousProof: {
                        '@id': string;
                        '@type': string;
                    };
                    proofPurpose: {
                        '@id': string;
                        '@type': string;
                        '@context': {
                            '@protected': boolean;
                            id: string;
                            type: string;
                            assertionMethod: {
                                '@id': string;
                                '@type': string;
                                '@container': string;
                            };
                            authentication: {
                                '@id': string;
                                '@type': string;
                                '@container': string;
                            };
                            capabilityInvocation: {
                                '@id': string;
                                '@type': string;
                                '@container': string;
                            };
                            capabilityDelegation: {
                                '@id': string;
                                '@type': string;
                                '@container': string;
                            };
                            keyAgreement: {
                                '@id': string;
                                '@type': string;
                                '@container': string;
                            };
                        };
                    };
                    cryptosuite: {
                        '@id': string;
                        '@type': string;
                    };
                    proofValue: {
                        '@id': string;
                        '@type': string;
                    };
                    verificationMethod: {
                        '@id': string;
                        '@type': string;
                    };
                };
            };
        };
    };
};
